<?php

    $url = $settings['link']['url'];
    $ext = $settings['link']['is_external'];
    $nofollow = $settings['link']['nofollow'];
    $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
    $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
    $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';
    $link = $url.' '.$ext.' '.$nofollow;

    $btn = $settings['text'] ? '<a '.$link.' class="btn4 '.esc_attr($settings['effect']).'"><span>'.thepack_html($settings['text']).'</span></a>' : '';

?>    
<div class="ash-btn-wrap">
   <?php echo $btn; ?>
</div>
     
<style type="text/css">

.btn4 {
  text-decoration: none;
  position: relative;
  font-size: 14pt;
  display: inline-block;
  padding: 8px 16px;
  border: 1px solid #fcfcfc;
  transition: all 0.35s cubic-bezier(1, 0, 0, 1);
  text-align: center;
}

.btn4 span{
    position: relative;
    z-index: 3;
}

.btn4:hover {
  color: #fcfcfc;
}

/* ----------- COLOURS ---------- */
.btn-bloom {
  border-color: #ff7396;
  color: #ff7396;
}
.btn-bloom::before, .btn-bloom::after {
  background: #ff7396;
}

.btn-ezra {
  border-color: #5d63a4;
  color: #5d63a4;
}
.btn-ezra::before, .btn-ezra::after {
  background: #5d63a4;
}

.btn-apollo {
  border-color: #c1cad6;
  color: #c1cad6;
}
.btn-apollo::before, .btn-apollo::after {
  background: #c1cad6;
}

.btn-desert {
  border-color: #222129;
  color: #222129;
}
.btn-desert::before, .btn-desert::after {
  background: #222129;
}

/* --------- BUTTON FILL -------- */
.btn4::before,
.btn4::after {
  content: '';
  position: absolute;
  transition: all 0.35s cubic-bezier(1, 0, 0, 1);
}

.btn-r-l::after,
.btn-l-r::after {
  height: 100%;
  width: 0;
  top: 0;
}

.btn-r-l:hover::after,
.btn-l-r:hover::after {
  width: 100%;
}

.btn-t-b::after,
.btn-b-t::after {
  height: 0;
  width: 100%;
  left: 0;
}

.btn-t-b:hover::after,
.btn-b-t:hover::after {
  height: 100%;
}

.btn-i-o::after,
.btn-i-o-r::after {
  height: 100%;
  top: 0;
  left: 50%;
  width: 0;
}

.btn-i-o:hover::after,
.btn-i-o-r:hover::after {
  left: 0;
  width: 100%;
}

.btn-i-o-r::after {
  border-radius: 80px;
}
.btn-i-o-r:hover::after {
  border-radius: 0px;
}

.btn-o-i:before, .btn-o-i:after {
  height: 100%;
  top: 0;
  width: 0;
}
.btn-o-i::before {
  left: 0;
}
.btn-o-i::after {
  right: 0;
}

.btn-o-i:hover::before,
.btn-o-i:hover::after {
  width: 50%;
}

.btn-l-r::after {
  left: 0;
}

.btn-r-l::after {
  right: 0;
}

.btn-t-b::after {
  top: 0;
}

.btn-b-t::after {
  bottom: 0;
}

.btn-l-r-r {
  border-radius: px;
}
.btn-l-r-r:hover::after, .btn-l-r-r:hover {
  border-radius: 0px;
  background: #222129;
}
</style>     