<?php

    $animation = $settings['animation'];

    $url1 = $settings['url1']['url'] ? 'href='.esc_url($settings['url1']['url']). '' : '';
    $ext1 = $settings['url1']['is_external'] ? 'target= _blank' : '';
    $nofollow1 = $settings['url1']['nofollow'] ? 'rel=nofollow' : '';
    $link1 = $url1.' '.$ext1.' '.$nofollow1;
    $btn1 = $settings['btn1'] ? '<div class="dual2wrp"><a '.$link1.' class="dual1">'.$settings['btn1'].'</a></div>' : '';

    if ($settings['tmpl']=='one') {

        $url2 = $settings['url2']['url'] ? 'href='.esc_url($settings['url2']['url']). '' : '';
        $ext2 = $settings['url2']['is_external'] ? 'target= _blank' : '';
        $nofollow2 = $settings['url2']['nofollow'] ? 'rel=nofollow' : '';
        $link2 = $url2.' '.$ext2.' '.$nofollow2;
        $btn2 = $settings['btn2'] ? '<div class="dual1wrp"><a '.$link1.' class="dual2">'.$settings['btn2'].'</a></div>' : '';


    } elseif ($settings['tmpl']=='two'){

        $icon = $settings['icon'] ? '<i class="'.$settings['icon'].'" aria-hidden="true"></i>' : '<i class="fa fa-play"></i>';
        $lightbox = thepack_tb_lightboxvid ($settings['vidurl']);
        $btn2 = $icon ? '<div class="dual1wrp"><div class="inrwrp vidbtn">'.$icon.$lightbox.'</div></div>' : '';

    } else {
        $sep = $settings['septxt'] ? '<div class="dualsep">'.$settings['septxt'].'</div>' : '';
        $btn2 = $settings['txt'] ? ''.$sep.'<div class="dual1wrp"><span class="dual2">'.$settings['txt'].'</span></div>' : '';
    }


    echo '<div class="dualbtninr"><div class="dualbtnwrp">'.$btn1.$btn2.'</div></div>';
?>

<style type="text/css">

.dual1wrp .vidbtn{
    position: relative;
    text-align: center;
}
.dual1wrp .dual2{
    display: inline-block;
}
.dual1wrp .vidbtn a{
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    bottom: 0;
}

.dualbtnwrp a{
    display: inline-block;
}
.dualbtnwrp>div{
  display:inline-block;
  float:left;
  padding:0px 8px;
}
.dualbtnwrp {
    overflow: hidden;
    display: inline-block;
}

</style>