<?php
    if (empty($settings['ae_lists']))
        return;
    $column = thepack_get_column_class(intval($settings['per_line']));
    $ttag = $settings['ttag'];
    $stag = $settings['stag'];
    $animation = $settings['animation'];
    $class = $column.' '.$animation;        
?> 
    <div class="wa-equal-table fullcta">
        <?php
        foreach ($settings['ae_lists'] as $a) :

            $title = '<'.$ttag.' class="title">'.$a['title'].'</'.$ttag.'>';
            $sub_title = '<'.$stag.' class="subtitle">'.$a['sub_title'].'</'.$stag.'>';
            $url = (empty($a['link']['url'])) ? ' ' : esc_url($a['link']['url']);
            $target = $a['url']['is_external'] ? 'target="_blank"' : '';
            $bgcolor = $a['bgcolor'];
            $icon = $a['ikn'] ? '<i class="tbicon '.$a['ikn'].'"></i>' : ''; 
            ?>

            <div class="wa-equal-item <?php echo $class;?>" style="background:<?php echo $bgcolor;?>">

                <a <?php echo $target;?> href="<?php echo $url;?>"><?php echo $title.$sub_title;?></a>
                <?php echo $icon;?>
            </div>

            <?php

        endforeach;

        ?>
    </div>

<style type="text/css">

.wa-equal-table {
    overflow: hidden;
    display: table;
    width: 100%;
    position: relative;
}
.wa-equal-item {
    display: table-cell;
    vertical-align: middle;
    position: relative;
}
.fullcta .wa-equal-item:hover a {
    top: -15px;
}

.fullcta .wa-equal-item a {
    transition: all 0.2s ease-out;
    top: 0px;
    z-index: 2;
}
.wa-equal-item a {
    color: #fff;
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
    transition: all 0.2s ease-out;
    position: relative;
}
@media only screen and (max-width: 767px) {
    .wa-equal-item {
        display: block;
        width: 100%;
    }
} 
.fullcta .tbicon  {
    color: #ffffff82;
    position: absolute;
    top: 45%;
    left: 84%;
    font-size: 47px;
    top: 50%;
    transform: translateY(-50%);
} 
</style>    
