<?php
$animation = $settings['animation'];
$class = $animation.' '.$settings['ico_position'];

?>
<div class="equalHMVWrap eqWrap ikonbox">
	<?php foreach ($settings['services'] as $index => $a): 
	    
	    $url = $a['link']['url'];
	    $link_title = $a['link-title'];
	    $ext = $a['link']['is_external'];
	    $nofollow = $a['link']['nofollow'];

	    $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
	    $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
	    $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';

	    $link = ( isset($url) && $url ) ? '<a class="ash-btn" '.$url.' '.$ext.' '.$nofollow.'>'.$link_title.'</a>' : '';

	    $title = ( isset($a['title']) && $a['title'] ) ? '<h3 class="title">'.$a['title']. '</h3>' : '';
	    $sub = ( isset($a['sub']) && $a['sub'] ) ? '<p class="sub">'.$a['sub']. '</p>' : '';

	    $description = ( isset($a['description']) && $a['description'] ) ? '<p class="description">'.$a['description']. '</p>' : '';

	    $img = wp_get_attachment_image($a['img']['id'], 'full');
	    $icon = ( isset($a['ico']) && $a['ico'] ) ? '<i class="'.$a['ico'].'"></i>' : '';
	    $type = $a['type']=='image' ? '<span class="image figure">'.$img.'</span>' : '<span class="icon figure">'.$icon.'</span>';
?>
	    <div class="equalHMV <?php echo $class;?>">
	    	<div class="service-wrap">
			    <span class="figwrap"><?php echo $type;?></span>
			    <div class="service-content">
				    <?php echo $title.$sub.$description;?>
					<?php echo $link; ?>				    
			    </div>
			</div>
	    </div>
	<?php endforeach;?>
</div>

<style type="text/css">

.ikonbox.equalHMVWrap {
    flex-wrap: wrap;
}
.ikonbox.eqWrap {
    display: flex;
}
.ikonbox .ileft .figwrap{
    position: absolute;
    top: 0;
    left: 0;  
    text-align: center;
}
.ikonbox .figure{
    display: table-cell;
    margin: 0 auto;
    text-align: center;
    vertical-align: middle;  
}
.ikonbox .service-wrap{
    position: relative;
    display: table-cell;
    vertical-align: middle;
    height: inherit; 
    width: 99999px;   
}
.ikonbox .service-wrap {
    text-align: left;
    padding: 11px 20px 0px 56px;
    background: rgba(255,255,255,0);
}
.ikonbox .ileft .figwrap {
    position: absolute;
    top: 10px;
    left: 0;
    text-align: center;
}
.ikonbox .equalHMV{
	overflow: hidden;
}
</style>