<?php

    $speed = $settings['speed']['size'];
    $space = $settings['space']['size'];
    $item = $settings['item']['size'];
    $item_tab = $settings['item_tab']['size'];

    $slider_options = [
        'item' => $item,
        'item_tab' => $item_tab,
        'speed' => $speed,
        'space' => $space,
        'mouse' => ('yes' === $settings['mouse']),
    ]; 

    $pagi = $settings['dot'] ? '<div class="swiper-pagination"></div>' : '';
    $navi = $settings['arrow'] ? '<div class="swiper-button-prev no-bg"><i class="tbicon '.$settings['picon'].'"></i></div><div class="swiper-button-next no-bg"><i class="tbicon '.$settings['nicon'].'"></i></div>' : '';

    $icon = $settings['icon'] ? '<i class="tbicon '.$settings['icon'].'"></i>' : '';

    foreach ($settings['items'] as $item){

        switch ($settings['disp']) {
            case "slider":
                $cls = 'swiper-slide';
                break;

            case "grid":
                $cls = $settings['animation'];
                break;

            default:
        }

        $desc = $item['desc'] ? '<p class="desc">'.$item['desc']. '</p>' : '';
        $img = thepack_ft_images($item['avatar']['id'],'full'); 
        $name = $item['name'] ? '<p class="name">'.$item['name']. '</p>' : '';
        $pos = $item['pos'] ? '<p class="pos">'.$item['pos']. '</p>' : '';

        $url = $item['url']['url'];
        $ext = $item['url']['is_external'];
        $nofollow = $item['url']['nofollow'];
        $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
        $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
        $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';
        $link = $url.' '.$ext.' '.$nofollow;

        $link = $url ? '<a '.$link.'"></a>' : '';

        $out1 .= '
            <div class="imgbx3 '.$cls.'">
                <div class="team-container">
                    '.$link.'
                    '.$img.'
                    <div class="team-content tbtr">
                        '.$name.$pos.'
                        <div class="team-link tbtr">
                            '.$icon.'
                        </div>

                    </div>
                </div>
            </div>
        ';

    }


    if ($settings['disp'] == 'slider') {
        echo '<div class="imgbx3carou" data-xld =\''.wp_json_encode($slider_options).'\'>
                <div class="swiper-wrapper">
                    '.$out1.'
                </div>
                '.$pagi.$navi.'
        ';
    } else {
        echo '<div class="imgbx3wrap">'.$out1.'</div>';
    }
?>  
 
<style type="text/css">
.imgbx3{
    float: left;    
}
.imgbx3 .team-container {
    height: 440px;
}
.imgbx3 .team-container img {
    height: 100%;
    object-fit: cover;
}
.imgbx3 .team-link{
    bottom:-70%;
    text-align: right;
}
.imgbx3 .team-container>a{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;    
}
.imgbx3 .tbicon{
    background: red;
    width: 30px;
    display: inline-block;
    height: 30px;
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
}
.imgbx3:hover .team-content{
    background: rgba(0, 0, 0, 0.7); 
}
.imgbx3 .team-container,.imgbx3 .team-link{
  position:relative;
}
.imgbx3 .team-content {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 30px;
    background: rgba(0, 0, 0, 0.3); 
}

.imgbx3 img {
    width: 100%;
    display: block;
}   
.imgbx3carou{
    overflow: hidden;
}

.imgbx3carou .no-bg{
    background-image: none;
    text-align: center;
}
.imgbx3carou .swiper-pagination-bullet{
    opacity: 1;
}
.imgbx3carou .tbicon{
    display: inline-block;
}

.imgbx3 .team-link{
  opacity:0;
}

.imgbx3 .team-container:hover .team-link{
  opacity:1;
}

</style>