<?php 
$cls = $settings['display'] == 'carousel' ? 'carousel' : $settings['animation'];

$pagi = $settings['dot'] ? '<div class="swiper-pagination"></div>' : '';
$navi = $settings['nav'] ? '<div class="swiper-button-prev no-bg"><i class="tbicon '.$settings['picon'].'"></i></div><div class="swiper-button-next no-bg"><i class="tbicon '.$settings['nicon'].'"></i></div>' : '';

if ($settings['display'] == 'carousel'){

    $slider_options = [
        'item' => $settings['item']['size'],
        'item_tab' => $settings['item_tab']['size'],
        'speed' => $settings['speed']['size'],
        'space' => $settings['space']['size'],
    ]; 

   echo '
    <div class="tb-imgbx6 swiper-container" data-xld =\''.wp_json_encode($slider_options).'\'>  
        <div class="tb-imgbxwrp6 swiper-wrapper">
            '.$this->content($settings['items'],$cls).'
        </div>
        '.$pagi.$navi.'
    </div>
   ';

} else {

   echo '
    <div class="tb-imgbx6">  
        <div class="tb-imgbxwrp6">
            '.$this->content($settings['items'],$cls).'
        </div>
    </div>
   '; 
}
?>

<style type="text/css">

.tb-imgbx6 .tbiner{
    height: 300px;
    background-size: cover;
    position: relative;
}
.tb-imgbx6 .items{
    float: left;
}
.tb-imgbx6 .tbcont{
    position: relative;
    z-index: 2;
    top: 50%;
    transform: translateY(-50%);
}
.tb-imgbx6 .fullink{
    z-index: 3;
}

.tb-imgbx6 .tbiner:before {
    background: #ff2940;
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
    transition: all 0.3s ease-in-out;
    transform: scale(0.8);
    opacity: 0;
    visibility: hidden;
}
.tb-imgbx6 .tbiner:after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.tb-imgbx6 .items:hover .tbiner:before {
    transform: scale(1);
    opacity: 1;
    visibility: visible;
}
.tb-imgbx6 .no-bg{
    background-image: none;
    text-align: center;
  }
.tb-imgbx6.swiper-container {
    position: initial;
  }
.tb-imgbx6 .swiper-pagination-bullet{
    opacity: 1
  }
@media all and (min-width:0px) and (max-width: 768px) {

}
</style>

