<?php

$animation = $settings['animation'];
 
?> 
<div class="minibox1-wrap">
	<?php foreach ($settings['items'] as $a): 
	    $member_image = $a['img'];

	    $url = $a['link']['url'];
	    $ext = $a['link']['is_external'];
	    $nofollow = $a['link']['nofollow'];

	    $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
	    $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
	    $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';

	    $link = ( isset($url) && $url ) ? '<a class="more-btn" '.$url.' '.$ext.' '.$nofollow.'></a>' : '';

	    $title = ( isset($a['title']) && $a['title'] ) ? '<h3 class="title">'.$a['title']. '</h3>' : '';

	    $description = ( isset($a['description']) && $a['description'] ) ? '<p class="description">'.$a['description']. '</p>' : '';

	    if($member_image){
	        $team_img = wp_get_attachment_image($member_image['id'], 'full', false, array('class' => 'xlteam full'));
	    }?>
	    <div class="mini-box">
			<div class="contentbox">
				<?php echo $link; ?>
				<div class="tbinr">
				    <?php $this->icon_image($a);?>
				    <div class="service-content">
					    <?php echo $title.$description;?>	
				    </div>
			    </div>
			</div>
	    </div>
	<?php endforeach;?>
</div>

<style type="text/css">

.minibox1-wrap .mini-box{
	float:left;
	width:25%;
}
.minibox1-wrap .more-btn {
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 3;
}
.minibox1-wrap .contentbox{
  position:relative;
  top:0px;
    box-shadow: 0 0 0 rgba(0,0,0,0.14);
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;  
}
.minibox1-wrap .contentbox:hover {
    box-shadow: 0 0 32px rgba(0,0,0,0.14);
    border-bottom: 3px solid #296d75;
}

.minibox1-wrap .contentbox:hover {
    top: -5px;
}
.minibox1-wrap .tbinr {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}
</style>