<?php

$animation = $settings['animation'];
 
?> 
<div class="minibox2-wrap">
	<?php foreach ($settings['items'] as $a): 
	    $member_image = $a['img'];

	    $url = $a['link']['url'];
	    $ext = $a['link']['is_external'];
	    $nofollow = $a['link']['nofollow'];

	    $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
	    $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
	    $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';

	    $link = ( isset($url) && $url ) ? '<a class="more-btn" '.$url.' '.$ext.' '.$nofollow.'></a>' : '';

	    $title = ( isset($a['title']) && $a['title'] ) ? '<h3 class="title">'.$a['title']. '</h3>' : '';

	    $description = ( isset($a['description']) && $a['description'] ) ? '<p class="description">'.$a['description']. '</p>' : '';

	    if($member_image){
	        $team_img = wp_get_attachment_image($member_image['id'], 'full', false, array('class' => 'xlteam full'));
	    }?>
	    <div class="mini-box">
			<div class="contentbox tbtr">
				<?php echo $link; ?>
				<div class="tbinr">
				    <?php $this->icon_image($a);?>
				    <div class="service-content">
					    <?php echo $title.$description;?>	
				    </div>
			    </div>
			</div>
	    </div>
	<?php endforeach;?>
</div>

<style type="text/css">
.minibox2-wrap {
    grid-template-columns: repeat(2,1fr);
    grid-gap: 1px;
    overflow: hidden;
    width: 100%;
    background: #f9f9f9;
    display: grid;
}
.minibox2-wrap .contentbox{
  height:100%;
    background: #fff;
position: relative;
 
}
.minibox2-wrap .tbinr {
    padding: 27px 15px;
}
.minibox2-wrap .title{
	margin:0px;
}
.minibox2-wrap .more-btn{
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    bottom: 0;
}
</style>