<?php
    $per_page = $settings['post_perpage']['size'];
    $excerpt_l = $settings['excerpt_l']['size'];
    $cat = $settings['cat_query'];
    $img_size = $settings['img_size'];
    $allcat = implode(',' , $cat);
    $show_cat = $settings['show_cat'];

    $sep = $settings['sep'] ? '<span class="sep">'.$settings['sep']. '</span>' : '';

    $query_args = array(
        'post_type' => 'portfolio',
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'portfolio-category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );

$wp_query = new WP_Query($query_args);
$max =  $wp_query->max_num_pages;
$all = $wp_query->found_posts;
if ( $wp_query->have_posts() ) {

echo '<div class="tbfilterfolio" data-excerpt = "'.$excerpt_l.'" data-template = "'.$settings['tmpl'].'" data-style = "'.$settings['tmpl'].'" data-thumb = "'.$img_size.'" data-cpage ="1" data-max = "'.$max.'" data-catid = "'.$catarray[0].'" data-posts="'.$per_page.'">';
?> 

    <ul class="filter-cat">
        <?php
            $first=0;
            foreach($cat as $cat_id){
 
                $first++;
                $term = get_term( $cat_id);
                $num = sprintf("%02d", $term->count);
                $maxmum = sprintf("%02d", $all);
                $count = '<span class="count">'.$num.'</span>';
                if($first==1){
                    echo '<li class="cat_tab current" data-id='.$allcat.'><span class="tblabel ulink">All</span><span class="count">'.$maxmum.'</span></li>';
                }
                echo ''.$sep.''.'<li class="cat_tab" data-id='.$term->term_id.'><span class="tblabel ulink">'.$term->name.'</span>'.$count.'</li>';
                                  
            }
        ?>
    </ul>
 
    <div class="post-container">
        <?php while ($wp_query->have_posts()) : $wp_query->the_post();
        $max_paged = $wp_query->max_num_pages;?>
            
            <?php require dirname(__FILE__) .'/'. $settings['tmpl'] .'.php';?>

        <?php endwhile; wp_reset_postdata(); ?>
        </div>

        <?php require(AE_PLUGIN_DIR . 'includes/loops/load-more.php');?>
    </div>
<?php } ?>        

<style type="text/css">

.tbfilterfolio .filter-cat{
    overflow: hidden;
    list-style-type: none;
    padding-left: 0;
    margin: 0;  
}
.tbfilterfolio .filter-cat li {
    cursor:pointer;
webkit-transition: all .4s ease;
    transition: all .4s ease;    
}

.tbfilterfolio .filter-gal .grid{
  position:relative;
}
.tbfilterfolio .filter-gal .single-filter-item{
  margin-bottom:30px;
}

.tbfilterfolio .filter-cat > li + li {
    position: relative;
}
 .tbfilterfolio .filter-cat > li.current {
    color: #000;
}
 .tbfilterfolio .filter-cat > li {
    color: #7a8595;
    display: inline-block;
}

.tbfilterfolio .xlpagi.pagi{
    clear: both;
}  

.tbfilterfolio .cat_tab.current .ulink:after {
    opacity: 1;
    transition-delay: .2s;
    transition-duration: .15s;
    transform: translateY(-5px) translateZ(0);
}
.tbfilterfolio .count {
    font-size: 10px;
    position: relative;
    display: inline-block;
    top: -7px;
}
.tbfilterfolio .folio-item{
    margin: 0;
    float: left;
}
.tbfilterfolio .gallery-cat{
    display: inline-block;
}
.tbfilterfolio .ash_loadmore.disabled{
    display: none;
}
.tbfilterfolio .ash_loadmore{
    display: inline-block;
    cursor: pointer;
}
</style>


