<?php
    if ($settings['prlx']){

        $slider_options = [
            'speed' => $settings['speed']['size'],
        ];

    }

?>

<?php echo '<div class="xldparallaxfolio" data-xld =\''.wp_json_encode($slider_options).'\'>';?> 
    <?php foreach ($settings['lists'] as $a) :
        $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].')"' : '';
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

        $btn = $a['btn'] ? '<div class="btns"><a '.$target.' href="'.$url.'" class="tb-btn tb-underline">'.$a['btn'].'</a></div>' : '';
        $title = $a['title'] ? '<h2 class="title">'.$a['title'].'</h2>' : '';
        $desc = $a['desc'] ? '<p class="desc">'.$a['desc'].'</p>' : '';
        $cat = $a['cat'] ? '<span class="cat">'.$a['cat'].'</span>' : '';

        ($a['bg']['url']);     
        ?>
        <div class="foliobg" <?php echo $img;?>>
            <div class="inner-wrap">
                <?php echo $cat.$title.$desc.$btn; ?>               
            </div>
        </div>

    <?php endforeach;?>
</div> 

<style type="text/css">

.foliobg{
    padding: 13em 0px;
    position: relative;
}

.foliobg::before {
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.inner-wrap{
    position: relative;
}    
</style>