<?php

    foreach ($settings['list'] as $a){

        $title = $a['title'] ? '<h2 class="title">'.esc_attr($a['title']).'</h2>' : '';
        $desc = $a['desc'] ? '<div class="desc">'.thepack_html($a['desc']).'</div>' : '';
        $price = $a['price'] ? '<span class="price">'.esc_attr($a['price']).'</span>' : '';
        $curr = $a['curr'] ? '<span class="curr">'.esc_attr($a['curr']).'</span>' : '';
        $sub = $a['sub'] ? '<p class="sub">'.esc_attr($a['sub']).'</p>' : '';

        $img = thepack_ft_images($a['img']['id'],'full');
        $icon = $a['icon'] ? '<i class="'.esc_attr($a['icon']).'"></i>' : '';
        $primg = $a['type']=='img' ? '<div class="primg">'.$img.'</div>' : '<div class="primg">'.$icon.'</div>';

        $prs = '<span class="tbprcwrp">'.$curr.$price.'</span>'.$sub;

        $url = $a['url']['url'];
        $ext = $a['url']['is_external'];
        $nofollow = $a['url']['nofollow'];

        $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
        $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
        $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';
        $link = $url.' '.$ext.' '.$nofollow;

        $btn = $a['btn'] ? '<a '.$link.' class="tour-btn">'.$a['btn'].'</a>' : '';

        $html .= '<div class="tbprice2 '.$a['featured'].' '.$settings['anim'].'"><div class="tbinr">'.$title.'<div class="inrcnt">'.$primg.$prs.$desc.$btn.'</div></div></div>';        
    }

?>  

<div class="tbpric2wrp">
    <?php echo $html;?>
</div>

 <style type="text/css">

    .tbprice2{
      width:50%;
      float:left;
      padding:15px;
    }
    .tbprice2 li {
        border-bottom: 1px solid #eee;
    }
    .tbprice2 li:last-child {
        border: none;
    }
    .tbprice2 ul{
        margin: 0;
        padding: 0;
        list-style-type: none;
    }
    .tbprice2 .tbinr {
        position: relative;
    }   
    .tbprice2 .curr{
        position: relative;
        padding-right: 10px;
    } 
    .tbprice2 .tour-btn{
        display: inline-block;
    }
 </style>
