<?php
if (empty($settings['lists']))
    return;

switch ($settings['style']) {
    case "hero-slider-style-1":
        $cls = 'col col-lg-6 col-lg-offset-6 col-sm-7 col-sm-offset-5';
        break;

    case "hero-slider-style-2":
        $cls = 'col col-lg-7';
        break;
        
    case "hero-slider-style-3":
        $cls = 'col col-lg-8 col-lg-offset-2 col-sm-10 col-sm-offset-1';
        break;

    default:
}
 
?>
<div id="slider">
  <div class="swiper-slide1">
    <div class="swiper-wrapper">
    <?php foreach ($settings['lists'] as $a) :
        $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].')"' : '';
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

        $btn = $a['btn'] ? '<div class="btns"><a '.$target.' href="'.$url.'" class="theme-btn">'.$a['btn'].'</a></div>' : '';
        $title = $a['title'] ? '<h2 class="title">'.$a['title'].'</h2>' : '';
        $desc = $a['desc'] ? '<p class="desc">'.$a['desc'].'</p>' : '';
        $cat = $a['cat'] ? '<span class="cat">'.$a['cat'].'</span>' : '';

        ($a['bg']['url']);     
        ?>

      <div class="swiper-slide">
        <div class="slide-inner" <?php echo $img;?>>
            <div class="inner-wrap">
                <?php echo $cat.$title.$desc.$btn; ?>
            </div>
        </div>
      </div>


    <?php endforeach;?>

    </div>  
    <div class="swiper-pagination"></div>
<!--     <div class="swiper-button-prev swiper-button-white"></div>
    <div class="swiper-button-next swiper-button-white"></div>  -->    
</div>
</div>