<?php

  $slider_options = [
      'item' => $settings['item']['size'],
      'item_tab' => $settings['item_tab']['size'],
  ];

?>
<?php echo '<div class="xld-hvrsync" data-xld =\''.wp_json_encode($slider_options).'\'>';?>    
    <div class="swiper-wrapper">
        <?php $count = 0;foreach ($settings['lists'] as $a) :
            $count++;

            $img = wp_get_attachment_image_src( $a['bg']['id'],$settings['img_size']);
            $data_bg = $a['bg'] ? 'data-bg="'.$img[0].'"' : '';

            $id = $a['bg']['id']; 
            $num = sprintf("%02d", $count);

            $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
            $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

            $link = $url ? '<a '.$target.' href="'.$url.'" class="hovrsynclink"></a>' : '';
            $title = $a['title'] ? '<h2 class="heading"><span class="num">'.$num.'</span>'.$a['title'].'</h2>' : '';
            //echo $num;     
            ?>
 
          <div class="swiper-slide" <?php echo $data_bg;?>>
            <?php echo $link;?>
            <div class="portfolio-item">
                <div class="inner-wrap">
                    <?php echo $title;?>
                    <?php // echo $cat.$title.$desc.$btn; ?>
                </div>
            </div>
          </div>

        <?php endforeach;?>
    </div>
</div>
<div class="xld-bgfade"><div class="inner"></div></div>

<style type="text/css">

.xld-bgfade {
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.xld-bgfade .inner {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background-size: cover;
    background-position: center center;
    -webkit-transition: background 1s cubic-bezier(.31,.88,.4,.98);
    transition: background 1s cubic-bezier(.31,.88,.4,.98);
}
.xld-bgfade .inner:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: "";
}

.xld-hvrsync .portfolio-item {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 0);
}
.xld-hvrsync {
    height: 100vh;
}
.xld-hvrsync .heading{
    color: transparent;
    -webkit-text-stroke: 1px #fff;
        z-index: -1;
        margin: 0px;
}
.xld-hvrsync .active .heading {
    color: #fff;
}
.xld-hvrsync .hovrsynclink{
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    top: 0;  
      z-index: 1;
}
.xld-hvrsync .num {
    position: relative;
    top: -20px;
    font-size: 17px;
    padding-right: 9px;
    color:white;
        -webkit-text-stroke-width: 0px;
}

</style>