<?php

  $slider_options = [
      'speed' => $settings['speed']['size'],
      'auto' => ('yes' === $settings['auto']),
  ];

$scroller = $settings['scrl'] ? '<div class="scroll-downs"><div class="mousey"><div class="scroller"></div></div></div>' : '';

foreach ($settings['lists'] as $a){

  $out .= $a['bg']['id'] ? '<div class="item">'.thepack_ft_images($a['bg']['id'],'full').'</div>' : '';
  $title .= $a['title'] ? '<div class="item title">'.thepack_html($a['title']). '</div>' : '';

}
 
?>

<!-- slides-->
<?php echo '<div class="split-slideshow" data-xld =\''.wp_json_encode($slider_options).'\'>';?>
  <div class="slideshow">
    <div class="slider">
      <?php echo $out;?>
    </div>
  </div>
  <div class="slideshow-text">
    <?php echo $title;?>
  </div>
  <?php echo $scroller;?>
</div>

<style type="text/css">
.split-slideshow{
    position: relative;
    height: 100vh;  
}
.split-slideshow .slideshow {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}
.split-slideshow .slideshow .slider {
  width: 100vw;
  height: 100vw;
  z-index: 2;
}

.split-slideshow .slideshow .slider .item {
  height: 100vh;
  width: 100vw;
  position: relative;
  overflow: hidden;
  border: none;
}
.split-slideshow .slideshow .slider .item .text {
  display: none;
}
.split-slideshow .slideshow .slider .item img {
  min-width: 101%;
  min-height: 101%;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.split-slideshow .slideshow.slideshow-right {
  left: 0;
  z-index: 1;
  width: 50vw;
  pointer-events: none;
}
.split-slideshow .slideshow.slideshow-right .slider {
  left: 0;
  position: absolute;
}

.split-slideshow .slideshow-text {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  z-index: 100;
  font-size: 80px;
  text-align: center;
  color: #fff;
  pointer-events: none;
}

.split-slideshow .slideshow .item::before {
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1;
    background-color: rgba(4, 4, 4, 0.62);
}

.split-slideshow .scroll-downs {
    position: absolute;
    right: 0;
    bottom: 36px;
    left: 0;
    margin: auto;
    width: 34px;
    z-index: 2;
}
.split-slideshow .mousey {
  width: 3px;
  padding: 10px 15px;
  height: 35px;
  border: 2px solid #fff;
  border-radius: 25px;
  box-sizing: content-box;
}
.split-slideshow .scroller {
  width: 3px;
  height: 10px;
  border-radius: 25%;
  background-color: #fff;
  animation-name: scroll;
  animation-duration: 2.2s;
  animation-timing-function: cubic-bezier(.15,.41,.69,.94);
  animation-iteration-count: infinite;
}
@keyframes scroll {
  0% { opacity: 0; }
  10% { transform: translateY(0); opacity: 1; }
  100% { transform: translateY(15px); opacity: 0;}
}

</style>