<?php

  $slider_options = [
      'speed' => $settings['speed']['size'],
      'mouse' => ('yes' === $settings['mouse']),
      'auto' => ('yes' === $settings['auto']),
  ];

foreach ($settings['lists'] as $a){


  $title = $a['title'] ? '<h2 class="title">'.$a['title']. '</h2>' : '';

  $url = $a['url']['url'] ? 'href='.esc_url($a['url']['url']). '' : '';
  $ext = $a['url']['is_external'] ? 'target= _blank' : '';
  $nofollow = $a['url']['nofollow'] ? 'rel=nofollow' : '';
  $link = $url.' '.$ext.' '.$nofollow;
  $btn = $url ? '<a '.$link.' class="tour-btn">'.$title.'</a>' : $title;

  $bg = thepack_bg_images($a['bg']['id'],$settings['img_size']);

  $out .= '<div class="swiper-slide"><div '.$bg.' class="lazyload tbiner">'.thepack_html($btn).'</div></div>';
  ($a['bg']['id']);
}

  $navi = $settings['arrow'] ? '<div class="tbswiper-next"><i class="tbicon '.esc_attr($settings['nicon']).'"></i></div><div class="tbswiper-prev"><i class="tbicon '.esc_attr($settings['picon']).'"></i></div>' : '';
 
?>

<!-- slides-->
<?php echo '<div class="tb-swiprcentr" data-xld =\''.wp_json_encode($slider_options).'\'>';?>
  <div class="swiper-auto-slide swiper-container main-slider">
    <div class="swiper-wrapper">
      <?php echo $out;?>
    </div>
  </div>
  <!-- thumbnails-->   
<div class="tbscrollwrp">
  <div class="swiper-scrollbar xs-display-none"><div class="swiper-scrollbar-drag"></div></div>
  <?php echo $navi; ?>
</div>
</div>
<style type="text/css">
.tb-swiprcentr .swiper-scrollbar {
    border-radius: 0;
    height: 1px;
}

.tb-swiprcentr .title {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    margin: 0px;
    width: 100%;
}
.tb-swiprcentr .tbscrollwrp{
    position: relative;
    width: 600px;
    margin: 0px auto; 
        height: 35px; 
}
.tb-swiprcentr .tbscrollwrp .swiper-scrollbar-drag:before {
    cursor: move;
    position: absolute;
    content: "";
    background: #ff214f;
    width: 13px;
    height: 13px;
    border-radius: 100%;
    top: -6px;
    left: calc(50% - 13px);
}
.tb-swiprcentr .tbswiper-next, .tb-swiprcentr .tbswiper-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}
.tb-swiprcentr .tbswiper-next {
    right: -56px;
}
.tb-swiprcentr .tbswiper-prev {
    left: -56px;
}
.tb-swiprcentr .swiper-scrollbar {
    height: 1px;
    top: 47%;
    transform: translateY(-50%);
}
.tb-swiprcentr .swiper-auto-slide.swiper-container {
    margin: 0 auto;
    overflow: visible;
}
.tb-swiprcentr .swiper-auto-slide .swiper-slide {
    width: 60%;
}
.tb-swiprcentr .tbiner{
  height:550px;
  position:relative;
  background-size: cover;
}

.tb-swiprcentr .tbiner:before {
  content: "";
  position: absolute;
  left: 0; 
  right: 0;
  top: 0; 
  bottom: 0;
}

@media all and (min-width:0px) and (max-width: 768px) {
  .tb-swiprcentr .tbscrollwrp{
    display: none;
  }
}

</style>