<?php
    $speed = $settings['speed']['size'];
    $space = $settings['space']['size'];
    $item = $settings['item']['size'];
    $item_tab = $settings['item_tab']['size'];

    $slider_options = [
        'item' => $item,
        'item_tab' => $item_tab,
        'speed' => $speed,
        'space' => $space,
        'center' => ('yes' === $settings['center']),
    ]; 

    $pagi = $settings['dot'] ? '<div class="swiper-pagination"></div>' : '';
?>

<div id="slider">
  <?php echo '<div class="swiper-slide3" data-xld =\''.wp_json_encode($slider_options).'\'>';?>  
    <div class="swiper-wrapper">
    <?php foreach ($settings['lists'] as $a) :
        $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].')"' : '';
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

        $btn = $a['btn'] ? '<div class="btns"><a '.$target.' href="'.$url.'" class="tb-btn tb-underline">'.$a['btn'].'</a></div>' : '';
        $title = $a['title'] ? '<h2 class="title">'.thepack_html($a['title']).'</h2>' : '';
        $desc = $a['desc'] ? '<p class="desc">'.thepack_html($a['desc']).'</p>' : '';
        $cat = $a['cat'] ? '<span class="cat">'.thepack_html($a['cat']).'</span>' : '';
             
        ?>

      <div class="swiper-slide">
        <div class="slide-inner" <?php echo $img;?>>
            <div class="inner-wrap">
                <?php echo $cat.$title.$desc.$btn; ?>
                <div class="box-arrow"><a href="single-project-page-02.html">-></a></div>                
            </div>
        </div>
      </div>


    <?php endforeach;?>

    </div>  
    <?php echo $pagi;?>
<!--     <div class="swiper-button-prev swiper-button-white"></div>
    <div class="swiper-button-next swiper-button-white"></div>  -->    
</div>
</div>

<style type="text/css">

.swiper-slide3,.slide-inner{
  height:100%;
  overflow: hidden;
  background-size: cover;
}
.swiper-slide3 .swiper-pagination {
    left: 0px;
    bottom: 0px;
}
.slide-inner::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.inner-wrap {
    background-color: #ff214f;
    max-width: 400px;
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 3em;
}
#slider .swiper-slide3 .swiper-pagination {
    width: auto;
    height: 100%;
    position: absolute;
    top: 0;
    right: 40px;
    left: auto;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    list-style: none;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    z-index: 2;
}
.swiper-slide.swiper-slide-active .inner-wrap {
    opacity: 1;
    transform: translate3d(0px, 0px, 0px);
    -webkit-transform: translate3d(0px, 0px, 0px);
    -moz-transform: translate3d(0px, 0px, 0px);
    -ms-transform: translate3d(0px, 0px, 0px);
    -o-transform: translate3d(0px, 0px, 0px);
    transition: all 0.3s ease-in-out 0.3s;
    -webkit-transition: all 0.3s ease-in-out 0.3s;
    -moz-transition: all 0.3s ease-in-out 0.3s;
    -ms-transition: all 0.3s ease-in-out 0.3s;
    -o-transition: all 0.3s ease-in-out 0.3s;
}
 .swiper-slide .inner-wrap {
    opacity: 0;
    transform: translate3d(0px, 150px, 0px);
    -webkit-transform: translate3d(0px, 150px, 0px);
    -moz-transform: translate3d(0px, 150px, 0px);
    -ms-transform: translate3d(0px, 150px, 0px);
    -o-transform: translate3d(0px, 150px, 0px);
    transition: all 0.3s ease-in-out 0s;
    -webkit-transition: all 0.3s ease-in-out 0s;
    -moz-transition: all 0.3s ease-in-out 0s;
    -ms-transition: all 0.3s ease-in-out 0s;
    -o-transition: all 0.3s ease-in-out 0s;
}
.box-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: -14px;
    background: white;
    width: 40px;
    height: 40px;
    line-height: 44px;
    text-align: center;
    border-radius: 50%;
}


</style>