<?php
    $dot = $settings['dot'];
    $speed = $settings['auto'] ? $settings['speed']['size'] : '';

    $slider_options = [
        'dot' => ('yes' === $settings['dot']),
        'speed' => $speed,
    ];


    foreach ($settings['lists'] as $a) {

        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

        $btn = $a['btn'] ? '<a '.$target.' href="'.esc_url($url).'" class="splitfbtn">'.thepack_html($a['btn']).'</a>' : '';
        $title = $a['title'] ? '<h2 class="title">'.thepack_html($a['title']).'</h2>' : '';
        $desc = $a['desc'] ? '<p class="desc">'.thepack_html($a['desc']).'</p>' : '';
        $cat = $a['cat'] ? '<span class="cat">'.thepack_html($a['cat']).'</span>' : ''; 

        if ($settings['tmpl'] == 'fill'){
            $fillcol = $a['bgcol'] ? '-webkit-text-fill-color:'.$a['bgcol'].'' : '';
            $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].');'.$fillcol.'"' : '';
            $ltr = $a['ltr'] ? '<h2 '.$img.' class="ltr tbbgfill">'.$a['ltr'].'</h2>' : '';
            $left1 = '<div class="ms-section">'.$bgcol.$ltr.'</div>';
        } elseif ($settings['tmpl'] == 'stroke') {
            $stcol = $a['bgcol'] ? 'style="-webkit-text-stroke-color:'.$a['bgcol'].'"' : '';
            $ltr = $a['ltr'] ? '<h2 '.$stcol.' class="ltr stroke">'.$a['ltr'].'</h2>' : '';
            $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].');"' : '';
            $left1 = '<div '.$img.' class="ms-section">'.$ltr.'</div>';
        } else {
            $ltr = $a['ltr'] ? '<h2 class="ltr">'.$a['ltr'].'</h2>' : '';
            $bgcol = $a['bgcol'] ? '<div style="background:'.$a['bgcol'].'" class="tbovly bg"></div>' : '';
            $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].');"' : '';
            $left1 = '<div '.$img.' class="ms-section">'.$bgcol.$ltr.'</div>';            
        }

        $ccol = $a['ccol'] ? 'style="background:'.$a['ccol'].'"' : '';
        
        ($left);

        $left .= $left1;
        $right .= '<div '.$ccol.' class="ms-section">   
                    <div class="mstbiner">                  
                     '.$cat.$title.$desc.$btn.'
                    </div> 
                   </div>';
    }    
?>
 
<?php echo '<div class="tpfolioms" data-xld =\''.wp_json_encode($slider_options).'\'>';?> 
  <div class="ms-left">
    <?php echo $left;?>
  </div>
  
  <div class="ms-right">
    <?php echo $right;?>
  </div>  
</div>

<style type="text/css">

.tpfolioms .tbbgfill{
    font-size: 33em;
    -webkit-background-clip: text;   
}
.tpfolioms .ltr.stroke{
    color: transparent;
}
.tpfolioms .splitfbtn{
    display: inline-block;
}
.tpfolioms .mstbiner{
    position: relative;
}
.tpfolioms .tbovly{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
}
.tpfolioms .bg{
    z-index: 0    
}
.tpfolioms .ltr{
    z-index: 2;
    position: relative;
    text-align: center;
    margin: 0px;
}

</style>