<?php

    $id = $settings['img']['id'];
    $img= thepack_ft_images($id,'full');
    $animation = $settings['animation'];
    $icon = $settings['icon'] ? '<i class="'.esc_attr($settings['icon']).'" aria-hidden="true"></i>' : '<i class="fa fa-play"></i>';
    $lightbox = thepack_tb_lightboxvid ($settings['url']);
    if ($id){
    ?> 

      <div class="video-pop has-bg <?php echo esc_attr($animation); ?>">
        <a  href="<?php echo esc_url($settings['url']);?>" data-featherlight="iframe" data-featherlight-iframe-width="960" data-featherlight-iframe-height="540"><?php echo $img.$icon; ?></a>
      </div>

    <?php } else {?> 

      <div class="video-pop <?php echo esc_attr($animation); ?>">
        <a  href="<?php echo esc_url($settings['url']);?>" data-featherlight="iframe" data-featherlight-iframe-width="960" data-featherlight-iframe-height="540"><?php echo $icon; ?><span class="btn-label"><?php echo thepack_html(
$settings['btn-text']); ?></span></a>
      </div>

    <?php }
?>

<style type="text/css">

    .video-pop {
      position: relative;
    }
    .video-pop i{
        width: 50px;
        height: 50px;
        text-align: center;
        margin: auto;
        color: white;
        padding: 0;
        z-index: 4;
        cursor: pointer;
        font-size:12px;
        background: #582dc6;
        border-radius: 50%;
        line-height: 50px;
    }
    .video-pop.has-bg i{
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      position: absolute;
        text-align: center;
        margin: auto;
        color: white;
        padding: 0;
        z-index: 4;
        cursor: pointer;
        font-size:12px;
        background: #582dc6;
        border-radius: 50%;
        line-height: 50px;
    }
    .video-pop a {
        display: inline-block;
        position: relative;
    }
    .video-pop img {
      width: 100%;
      display: block;
      transition: all 0.3s; }

    .video-pop .btn-label{
        padding-left: 10px;
    }
    .video-pop:not(.has-bg) i:hover {
        transform: scale(.9);
    }
    .video-pop i {
        animation-delay: .2s;
        -webkit-transition: .25s;
        -o-transition: .25s;
        transition: .25s;
    }

</style>