<?php

    $animation = $settings['animation'];
    $icon = $settings['icon'] ? '<i class="tbicon '.esc_attr($settings['icon']).'" aria-hidden="true"></i>' : '<i class="tbicon fa fa-play"></i>';
    $heading = $settings['heading'] ? '<h3 class="heading">'.thepack_html($settings['heading']). '</h3>' : '';
    $sub = $settings['sub'] ? '<span class="sub">'.thepack_html($settings['sub']). '</span>' : '';
    $lightbox = thepack_tb_lightboxvid ($settings['url']);
?>

<div class="tb_videobgpopwrp">
    <div class="tb_videobgpop <?php echo esc_attr($animation);?>">
        <div class="vidbg">
            <?php echo $lightbox;?>
            <?php echo $icon;?>
        </div>
        <div class="desc">
            <?php echo $heading.$sub;?>
        </div>
    </div>
</div>
<style type="text/css">
.tb_videobgpop {
    position: relative;
    display: inline-block;
    overflow: hidden;
    text-align: left;  
}
.tb_videobgpop .vidbg {
    display: table-cell;
    vertical-align: middle;
    position: relative;
    width: 70px;
    border-radius: 50%;
    text-align: center; 
}
.tb_videobgpop .desc {
    display: table-cell;
    vertical-align: middle;
      position: relative;
      padding-left: 20px;
}
.tb_videobgpop a {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    border-radius: 50%;
    z-index: 2;
}
.tb_videobgpop .tbicon{
    position: relative;
}
</style>