<?php 
 namespace thepack_themebuilderr;

$helper = new thepack_helper_theme(); 
$post_data = $helper->thepack_get_demo_post_data();
$post_id = $post_data->ID;
$link_l = $settings['link_length']['size'];
$arclink = $settings['arclink'];

$previous_post_id = $helper->thepack_get_previous_post_id($post_id);
$next_post_id = $helper->thepack_get_next_post_id($post_id);
$plabel = $settings['show_label'] ? '<p class="tblabel hidden-xs">'.thepack_html($settings['prev_label']).'</p>' :'';
$nlabel = $settings['show_label'] ? '<p class="tblabel hidden-xs">'.thepack_html($settings['next_label']).'</p>' :'';

$picon = $settings['picon'] ? '<i class="tbicon '.esc_attr($settings['picon']).'"></i>' : '';
$nicon = $settings['nicon'] ? '<i class="tbicon '.esc_attr($settings['nicon']).'"></i>' : '';
$cicon = $settings['cicon'] ? '<i class="tbicon '.esc_attr($settings['cicon']).'"></i>' : '';


$bg = thepack_bg_images(get_post_thumbnail_id($previous_post_id),'full');
if ($settings['tmpl']=='one'){
?>

<div class="wa-row folio-pagi">
    <div class="wa-col col-sm-5">
        <?php if(!empty($previous_post_id)) :
            $previous_post = get_permalink($previous_post_id );
            $previous_post_title = get_the_title($previous_post_id );
            ?>
            <a class="prev-post" href="<?php echo esc_url($previous_post);?>">
                <span class="previcon prvnxticon"><?php echo $picon;?></span>
                <div class="innerpg">
                    <?php echo $plabel;?>
                    <?php if(!empty($settings['post_title'])){ ?>

                           <span class="link hidden-xs"> <?php echo $helper->limit_title_length_thm($previous_post_title,$link_l);?></span>
                        
                    <?php } ?>
                </div>
            </a>
        <?php endif; ?>
    </div>

    <div class="wa-col col-sm-2 text-center">
        <a class="middleticon" href="<?php echo get_post_type_archive_link($arclink);?>"><?php echo $cicon;?></a>
    </div>

    <div class="wa-col col-sm-5 text-right">
        <?php if(!empty($next_post_id)) :
            $next_post= get_permalink($next_post_id );
            $next_post_title = get_the_title($next_post_id );?>
                <a class="next-post" href="<?php echo esc_url($next_post);?>">
                    <div class="innerpg">
                        <?php echo $nlabel;?>
                        <?php if(!empty($settings['post_title'])){ ?>
                            <span class="link hidden-xs"><?php echo $helper->limit_title_length_thm($next_post_title,$link_l);?></span>
                        <?php } ?>
                    </div>    
                <span class="nexticon prvnxticon"><?php echo $nicon;?></span>
                </a>
        <?php endif; ?>
    </div>
</div>   

<?php } else {?>

<div class="wa-row havebg">
    <div <?php echo $bg;?> class="wa-col lazyload col-sm-6">
        <?php if(!empty($previous_post_id)) :
            $previous_post = get_permalink($previous_post_id );
            ?>
            <a class="prev-post" href="<?php echo esc_url($previous_post);?>">
                Prev
            </a>
        <?php endif; ?>
    </div>

    <div <?php echo $bg;?> class="wa-col lazyload col-sm-6 text-right">
        <?php if(!empty($next_post_id)) :
            $next_post= get_permalink($next_post_id );?>
                <a class="next-post" href="<?php echo esc_url($next_post);?>">
                    Next
                </a>
        <?php endif; ?>
    </div>
</div>

<?php } ?>
<style type="text/css">

.havebg .wa-col{
    padding-right: 0;
    padding-left: 0;
}
.havebg a{
    display: block;
    padding: 20px;
    background: #c3c3c326;    
}
@media only screen and (max-width: 767px) {
    .tb-post-author.style_two .author-pic, .style_two .author-details {
        display: block;
    }
} 


</style>