<?php 

  if (is_array($settings['items'])){

    foreach ($settings['items'] as $a){

        $url = $a['url']['url'];
        $ext = $a['url']['is_external'];
        $nofollow = $a['url']['nofollow'];

        $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
        $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
        $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';
        $link = $url.' '.$ext.' '.$nofollow;

        $btn = $a['url'] ? '<a '.$link.' class="linkbtn"><i class="'.esc_attr($a['icon']).'"></i></a>' : '';

        $html .= '<li>'.$btn.'</li>';        
    }

    $social = $settings['items'] ? '<ul class="social-icons">'.$html.'</ul>' : '';

  }

  $tickn = $settings['tickn'] ? '<a href="#" class="open-nav"><i class="tbicon '.esc_attr($settings['tickn']).'"></i></a>' : '';
  $xikn = $settings['xikn'] ? '<a href="#" class="close-nav"><i class="tbicon '.esc_attr($settings['xikn']).'"></i></a>' : '';


?>

<header class="tbheader-aside">
    
    <?php echo thepack_get_builder_image($settings['logo']['url'],'logotb');?>
    <?php echo $tickn;?>

    <?php echo $social;?>

  </header>

<div class="tb_mobile_navwrp">
    
    <div class="tb_off_nav">
      <div class="tbinrwrp">
      <?php echo $xikn;?>

      <nav>
        <div class="scrollbar-macosx">
          <?php
              if($settings['menu']){
                  wp_nav_menu( array(
                      'menu' => $settings['menu'],
                      'container' => false,
                      'menu_class'=> 'mainmenu pull-left',
                      'items_wrap' => '<ul class="menu-list">%3$s</ul>',
                  )); 
              }       
          ?>
        </div>
      </nav>

      <?php echo $social;?>
    </div>
    </div>

  </div>
  <div class="click-capture"></div>
<style type="text/css">
.tbheader-aside {
    height: 100vh;
    left: 0;
    position: fixed;
    top: 0;
    width: 100px;
    background:white;
}
.logotb {
    top: 31px;
    left: 50%;
    position: absolute;
    transform: translateX(-50%);
    padding: 0;
    width: 38px;
}

.tbheader-aside .open-nav {
    display: block;
    float: none;
    height: 22px;
    left: 50%;
    margin: 0;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    width: 28px;
    text-align: center;
}

.tbheader-aside .social-icons {
    bottom: 31px;
    left: 50%;
    position: absolute;
    transform: translateX(-50%);
      padding: 0;
}
.tbheader-aside .social-icons li {
    float: none;
    list-style: none;
    margin-left: 0;
    margin-bottom: 2px;
}
.social-icons li:first-child {
    margin-left: 0;
}

.tb_mobile_navwrp{
    position: fixed;
    top: 0;
    left: -100%;
    bottom: 0;
    right: 0;
    height: 100vh;
    width: 100vw;
    opacity: 0;
    transition: left 0s .4s;
    z-index: 2;
}

.tb_mobile_navwrp.active {
    left: 0;
    opacity: 1;
}

.tb_off_nav {
    height: 100vh;
    left: -100%;
    position: absolute;
    background: #fff;
    top: 0;
    transition: left .8s;
    width: 470px;

    padding: 50px;
}

.tb_off_nav nav {
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    padding: 50px;
}
.tb_off_nav .social-icons {
    bottom: 40px;
    left: 70px;
    position: absolute;
}

.tb_off_nav.active {
    left: 0;
}
.close-nav{
    float: right;
}

.menu-is-opened .click-capture{
    visibility: visible;
    transform: translateX(0);
}
.click-capture {
    background: rgba(0,0,0,0.28);
}
.click-capture {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    visibility: hidden;
    z-index: 0;
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-transition: all 0.8s ease;
    -o-transition: all 0.8s ease;
    transition: all 0.8s ease;
    background: rgba(193,193,193,0.84);
}

</style>