<?php
$logo = $settings['logo']['url'];
$lightlogo = $settings['light-logo']['url'];

$menu = $settings['menu-off'];
$menu_main = $settings['menu_main'];
$copy = $settings['copyright'] ? '<div class="copy">'.thepack_html($settings['copyright']).'</div>' :'';
$class = esc_attr($settings['abs_header']).' '.esc_attr($settings['sticky_header']);

?>
	<header id="header3" class="offmenu <?php echo $class;?>">
		<div class="header-one style-two">
			<div class="headerwrp">
			  <?php echo thepack_get_builder_image($lightlogo,'light');?>
			  <?php echo thepack_get_builder_image($logo,'dark');?>
			  	
		      <?php $this->show_navtoggle($settings['show_toggle'],$settings['tikn']);?>		
		      <?php $this->header_button($settings['btn'],$settings['link']) ?>

	            <nav class="hidden-sm hidden-xs">
					<?php
						if ( $menu_main ) {
							wp_nav_menu( array(
							    'menu' => $menu_main,
							    'container' => false,
							    'menu_class'=> 'topnav'
							));		
						}	
					?>					    	
	            </nav>		               
        	</div>
        </div>

    <div class="click-capture"></div>

 
<div class="offsidebar right"> 
  <span class="close-menu icon-cross2 icon_close"></span>
      <div class ="offmenuwraps">
		<div class="scrollbar-macosx">  
<?php
	if($menu){
		wp_nav_menu( array(
		    'menu' => $menu,
		    'container' => false,
		    'menu_class'=> 'mainmenu pull-left',
		    'items_wrap' => '<ul class="menu-list right-boxed">%3$s</ul>',
		));	
	}		
?>
		</div>
	</div>
  <div class="menu-footer">
    <div class="offsocial-list">
        <ul>
          <?php echo $this->builder_header_socials($settings['items']);?>
        </ul>
    </div>
    <?php echo $copy;?>
  </div>
</div>
</header><!-- #masthead -->

<style type="text/css">

/*Header 2 */
.abs-header{
    position: absolute;
    width: 100%;  
        z-index: 2;  
}
.header-one .headerwrp{
    max-width: 1140px;
    margin: 0px auto;
}
.header-one .tbsite-logo.dark,.header-one.is-fixed .tbsite-logo.light {
    display: none;
}
.header-one.is-fixed .tbsite-logo.dark {
    display: block;
}

.navbar-toggle {
    display: block;
    margin: 0;
    padding: 0;
}
.navbar-toggle {
    position: relative;
    float: right;
    cursor: pointer;
    padding-left: 10px;
}
.nav-icons {
    display: inline-block;
    float: right;
    cursor: pointer;
}
ul.topnav {
    margin: 0;
    padding-left: 0;
    list-style: none;
}
.topnav > li {
    position: relative;
    display: inline-block;
    line-height: 50px;
    transition: all 500ms ease;
}
.tbsite-logo {
    float: left;
}
.nav-icons {
    display: inline-block;
    float: right;
        cursor: pointer;
}
.nav-icons .search_menu{
    padding-right: 10px;
}
 ul.topnav{
    margin: 0;
    padding-left: 0;
    list-style: none; 
}
.topnav > li {
    position: relative;
    display: inline-block;
    line-height: 50px;
    transition: all 500ms ease;
}
.topnav .sub-menu {
    position: absolute;
    top: 100%;
    text-align: left;
    margin: 0px;
    width: 230px;
    border: 1px solid rgba(202, 202, 202, 0.16);
    background: #FFF;
    padding: 15px 0px;
    opacity: 0;
    visibility: hidden;
    z-index: 100;
    float: left;
    transition: all 0.3s ease-in-out 0s;
    -moz-transition: all 0.3s ease-in-out 0s;
    -o-transition: all 0.3s ease-in-out 0s;
    -webkit-transition: all 0.3s ease-in-out 0s;
    -ms-transition: all 0.3s ease-in-out 0s;
}
.topnav .sub-menu li {
    display: block;
    position: relative;
}
.topnav .sub-menu a {
    margin: 0;
    white-space: nowrap;
    line-height: 1.4;
    padding: 3px 10px 3px 20px;
    font-weight: 300;
    display: block;
}
.topnav .sub-menu li > .sub-menu {
    left:100%;
    top: 0;
}

.topnav li:hover > .sub-menu {
    opacity: 1;
    visibility: visible;
}
.topnav >li a{
    text-decoration: none;

}
.topnav >li >a{
    padding: 7px;
}

.click-capture {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    visibility: hidden;
    z-index: 98;
-webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    transition: all 0.6s ease;    
}
.menu-is-opened .click-capture,.search-is-opened .click-capture {
    visibility: visible;
transform: translateX(0);    
}
.menu-is-opened .offsidebar.left,.menu-is-opened .offsidebar.right,.search-is-opened .offsearch.right {
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
    box-shadow: 0 0 65px rgba(0,0,0,0.07);
}
.offsidebar,.offsearch {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    z-index: 100;
    background-color: #fff;
    -webkit-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    transition: all 0.6s ease;
}
.offsidebar.right,.offsearch.right{
  right: 0;
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);  
}

.offsidebar.left{
  left: 0;
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%); 
}

.menu-is-opened .menu-list,.menu-is-opened .offsidebar .menu-footer .offsocial-list,.menu-is-opened .offsidebar .menu-footer .copy,.search-is-opened .offsearchform {
    -webkit-transform: translate(0);
    -ms-transform: translate(0);
    -o-transform: translate(0);
    transform: translate(0);
    opacity: 1;
}

.menu-list,.offsearchform{
    opacity: 0;
    -webkit-overflow-scrolling: touch;
    overflow-scrolling: touch;
    list-style: none;
    margin: 0;
    padding: 10px 0px 0px;
    -webkit-transform: translateY(3rem);
    -ms-transform: translateY(3rem);
    -o-transform: translateY(3rem);
    transform: translateY(3rem);
    -webkit-transition: transform 0.5s 0.6s ease, opacity 0.5s 0.6s ease;
    -o-transition: transform 0.5s 0.6s ease, opacity 0.5s 0.6s ease;
    transition: transform 0.5s 0.6s ease, opacity 0.5s 0.6s ease;
}
#header3 .offsocial-list {
    overflow: hidden;
}
#header3 .menu-list a,#header3 .offsocial-list a{
    color:#000;
    position: relative;
    display: block;
}
.menu-list .menu-item-has-children > a:after {
    content: "\4c";
    position: absolute;
    top: 50%;
    right: 7px;
    margin-top: -0.5em;
    font-family: 'ElegantIcons';
    speak: none;
    font-size: 1rem;
    line-height: 1;
}
.menu-footer {
    position: absolute;
    bottom: 50px;
}
.menu-footer .offsocial-list {
    opacity: 0;
    -webkit-transform: translateY(3rem);
    -ms-transform: translateY(3rem);
    -o-transform: translateY(3rem);
    transform: translateY(3rem);
    -webkit-transition: all 0.5s 0.7s ease;
    -o-transition: all 0.5s 0.7s ease;
    transition: all 0.5s 0.7s ease;
}

.menu-footer .copy {
    opacity: 0;
    padding: 15px 0px;
    color: #000;
    -webkit-transform: translateY(2rem);
    -ms-transform: translateY(2rem);
    -o-transform: translateY(2rem);
    transform: translateY(2rem);
    -webkit-transition: all 0.5s 0.9s ease;
    -o-transition: all 0.5s 0.9s ease;
    transition: all 0.5s 0.9s ease;
}

@media (min-width: 768px){
  .offsidebar,.offsearch {
      width: 50%;       
        padding: 2em 1em;
  } 
}
@media (max-width: 768px){
    .offsidebar,.offsearch {
        width: 100%;       
        padding: 2em 1em;
    }   
}
@media (min-width: 992px){
  .offsidebar,.offsearch {
      width: 35%;
        padding: 4em 3em;
  }
}


@media (min-height: 600px){
  .menu-footer .copy {
      display: block;
  }
}


.menu-list ul {
    display: none;
    list-style: none;
    padding: 10px 0px;
    margin: 0;
}
.menu-list > li:first-child {
    margin-top: 0;
}

.menu-list > li {
    font-size: 40px;
    padding: 4px 0px;
}

.menu-list ul li {
    padding: 3px 0px;
}

.is-fixed{
    position: fixed;
    width: 100%;
    left: 0px;
    background: #fff;
    box-shadow: 0 0 65px rgba(0,0,0,0.07);  
}
.close-menu {
    position: absolute;
    z-index: 2;
    top: 2.3rem;
        right: 2em;
    font-size: 1.6rem;
    line-height: 1;
    color: #000;
    cursor: pointer;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.tbar-btn{
    position: relative;
    float: right;
}
.offsocial-list ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
.offsocial-list li {
    display: inline-block;
    margin-right: 15px;
    font-size: 1.3em;
}

</style>