<?php

namespace thepack_themebuilderr;

$helper = new thepack_helper_theme(); 
$post_data = $helper->thepack_get_demo_post_data();
$post_id = $post_data->ID;

$previous_post_id = $helper->thepack_get_previous_post_id($post_id);
$next_post_id = $helper->thepack_get_next_post_id($post_id);

?>
<div class="postnav-wrap two text-center">
    <div class="xl-flex-row">
        <div class="xl-flex-col">
        <?php if(!empty($previous_post_id)) :
            $previous_post = get_permalink($previous_post_id );
            ?>
            <a class="prev-post" href="<?php echo $previous_post;?>">
                <span class="link"> <?php echo $settings['ptxt'];?></span>       
            </a>
        <?php endif; ?>
        </div>
        <div class="xl-flex-col">
        <?php if(!empty($next_post_id)) :
            $next_post= get_permalink($next_post_id );
            ?>
                <a class="next-post" href="<?php echo $next_post;?>">
                    <span class="link"><?php echo $settings['ntxt'];?></span>
                </a>
        <?php endif; ?>
        </div>
    </div>
</div>

<style type="text/css">
	.xl-flex-col {
	    -webkit-box-flex: 1;
	    -ms-flex: 1;
	    flex: 1;
	}
	.two .xl-flex-row {
	    position: relative;
	    -js-display: flex;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	    -webkit-flex-flow: row nowrap;
	    -ms-flex-flow: row nowrap;
	    flex-flow: row nowrap;
	    -webkit-align-items: center;
	    -ms-flex-align: center;
	    align-items: center;
	    -webkit-justify-content: space-between;
	    -ms-flex-pack: justify;
	    justify-content: space-between;
	    height: 100%;
	}
	.postnav-wrap.two .prev-post,.postnav-wrap.two .next-post{
		display: block;
	}

	@media all and (min-width:0px) and (max-width: 768px) {
		.two .xl-flex-row{
			display: block;
		}
	}
</style>