<?php
        $per_page = $settings['posts']['size'];
        $img_size = $settings['img_size'];

        $cat = $settings['cat_query'];
        $id = $settings['id_query'];


        if($settings['query_type'] == 'category'){
            $query_args = array(
                'post_type' => 'post',
                'posts_per_page' => $per_page,
                'tax_query' => array(
                    array(
                        'taxonomy' => 'category',
                        'field' => 'term_id',
                        'terms' => $cat,
                    ) ,
                ) ,
            );
        }

        if($settings['query_type'] == 'individual'){
            $query_args = array(
                'post_type' => 'post',
                'posts_per_page' => $per_page,
                'post__in' =>$id,
                'orderby' => 'post__in'
            );
        } 
         

        $loop = new \WP_Query($query_args);

        echo '<div class="tbrcntwid">';

        if ($loop->have_posts()) : ?>
                <?php while ($loop->have_posts()) : $loop->the_post();?>

                    <div class="item">
                        <?php if ( has_post_thumbnail() && $settings['show_img']) : ?>
                            <div class="entry-media">
                                <a class="post-featured" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                                <?php echo thepack_ft_images($id='',$img_size); ?> 
                                </a>  
                                                     
                            </div>
                        <?php endif; ?>                             
                        <div class="grid-content">            
                            <?php echo thepack_builder_post_title();?>
                            <?php echo thepack_postedd_on();?>
                        </div>
                    </div>
         
                <?php endwhile; ?>

                <?php wp_reset_postdata(); ?>
                
        <?php endif;?>

    </div>
<style type="text/css">
 .tbrcntwid .item {
    overflow: hidden;
    clear: both;
    position: relative;
    background-size: cover;
    background-repeat: no-repeat;
}
 .tbrcntwid .entry-media {
    width: 80px;
    float: left;
    margin-right: 15px;
     position: relative;
    overflow: hidden;  
}
.tbrcntwid .grid-content {
    overflow: hidden;
    position: relative;
}
.tbrcntwid .post-title-builder{
    margin: 0px;
    font-size: 19px;
}   
</style>    