<?php

switch ($settings['tmpl']) {
    case "ikn_button":
        $btn = '<button type="submit" class="search-submit"><i class="'.esc_attr($settings['btn_ikn']).'"></i></button>';
        break;
    case "txt_button":
        $btn = '<button type="submit" class="search-submit">'.esc_attr($settings['btn_txt']).'</button>';
        break;
}
?>
<form role="search" method="get" class="buildersearch-form" action="<?php echo esc_attr(home_url( '/' ));?>">
        <input type="search" class="search-field" placeholder="<?php echo esc_attr($settings['placeholder']);?>" value="" name="s" title="Search for:">
    <?php echo $btn;?>
</form>

<style type="text/css">

.buildersearch-form .search-field{
    width:100%;
}
.buildersearch-form .search-submit{
    width: 43px;
    border: 1px solid #000;
    background: black;
    color: white;
    padding: 0;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    font-size: 1em;
    letter-spacing: normal;
    cursor: pointer;
}

</style>