<?php

$terms = get_terms($settings['taxonomy']);
foreach ( $terms as $term ) {
    $term_link = get_term_link($term);
    $tax_id = get_term( $term->term_id, $atts['tax'] );
    $count = $tax_id->count;
    $output .='<li class="'.esc_attr($settings['taxonomy']).'"><a class="tag-cat" href="' . esc_url($term_link) . '">'.$term->name.'<span>('.esc_attr($count).')</span>'.'</a></li>';
            }
echo '<ul class="aetaxo '.esc_attr($settings['style']).'">'.$output.'</ul>';
        
?>

<style type="text/css">

.aetaxo{
  margin:0;
  padding:0;
  list-style-type:none;
}
.aetaxo.full li:last-child{
    border-bottom: 0;
    padding-top: 0;
}

.aetaxo.full li{
    color: #a0a0a0;    
    position: relative;
    line-height: 1.8em;
    padding: 5px 0;
    text-align: left;
  
}
.aetaxo.full span{
  float: right;
}
.aetaxo li:not(:last-child) a{
  display:block;
  border-bottom: 1px solid #eee;
}

</style>