(function ($) {
  "use strict";
    var TpCokkie = function ($scope, $) {
      $scope.find('.tbcokkie').each(function () {

        if (typeof $.fn.ihavecookies === 'undefined'){
          return;
        }
        var settings = $(this).data('xld');
        var options = {
            title: settings['title'],
            message: settings['message'],
            delay: settings['delay'],
            expires: settings['expires'],
            link: settings['link'],
            acceptBtnLabel: settings['acceptBtnLabel'],
            moreInfoLabel: settings['moreInfoLabel'],
            cookieTypesTitle: settings['cookieTypesTitle'],
            fixedCookieTypeLabel: settings['fixedCookieTypeLabel'],
            fixedCookieTypeDesc: settings['fixedCookieTypeDesc']
        }

        $(this).ihavecookies(options);
      });

    };


    var TbTimeFscrn = function ($scope, $) {
      $scope.find('.timeline-container').each(function () {
        $("#timeline-1").timeline();
      });

    };


    var SlkFsSync = function ($scope, $) {
      $scope.find('.slkfssync').each(function () {
        if (typeof $.fn.slick === 'undefined'){
          return;
        }
        var parrow,narrow;
        var settings = $(this).data('xld');
        var big = $('.slider-' + settings['id']);
        var thmb = $('.slider-nav-thumbnails-' + settings['id']);
        var prblm = $('.slider-nav-thumbnails-' + settings['id']+ ' ' +'.slick-slide');

        if ( settings['arrow'] ){
          var parrow = '<span class="tbslick-prev"><i class="' + settings['picon']+ '"></i></span>';
          var narrow = '<span class="tbslick-next"><i class="' + settings['nicon']+ '"></i></span>';
        }
         big.slick({
          slidesToShow: 1,
          slidesToScroll: 1,
          vertical: settings['vertical'],
          arrows: false,
          dots: false,
          fade: false,
          asNavFor: thmb,
          fade: settings['fade'],
         });
 
         thmb.slick({
          slidesToShow: settings['item'],
          autoplay: settings['auto'],
          autoplaySpeed: settings['speed'],
          slidesToScroll: 1,
          asNavFor: big,
          dots: false,
          arrows: true,
          centerMode: settings['center'],
          focusOnSelect: true,
          prevArrow:parrow,
          nextArrow:narrow,

          responsive: [
            {
              breakpoint: 768,
              settings: {
                slidesToShow: settings['item_tab'],
              }
            },
          ]

         });

         prblm.removeClass('slick-active');
         prblm.eq(0).addClass('slick-active');

         big.on('beforeChange', function (event, slick, currentSlide, nextSlide) {
          var mySlideNumber = nextSlide;
          prblm.removeClass('slick-active');
          prblm.eq(mySlideNumber).addClass('slick-active');
        });
         
      });

    }; 


    var TbgalSlkThm = function ($scope, $) {
      $scope.find('.thmbgalslik').each(function () {
        
        var settings = $(this).data('xld');
        var big = $('.slider-' + settings['id']);
        var thmb = $('.slider-nav-thumbnails-' + settings['id']);
        var prblm = $('.slider-nav-thumbnails-' + settings['id']+ ' ' +'.slick-slide');
    
         big.slick({
          slidesToShow: 1,
          slidesToScroll: 1,
          arrows: false,
          dots: false,
          fade: false,
          asNavFor: thmb,
         });
 
         thmb.slick({
          slidesToShow: settings['item'],
          autoplay: settings['auto'],
          autoplaySpeed: settings['speed'],
          slidesToScroll: 1,
          asNavFor: big,
          dots: false,
          arrows: false,
          centerMode: settings['center'],
          focusOnSelect: true,
          vertical: settings['vertical'],
         });

         prblm.removeClass('slick-active');
         prblm.eq(0).addClass('slick-active');

         big.on('beforeChange', function (event, slick, currentSlide, nextSlide) {
          var mySlideNumber = nextSlide;
          prblm.removeClass('slick-active');
          prblm.eq(mySlideNumber).addClass('slick-active');
        });

      });

    };
    
    var ImgBox6 = function ($scope, $) {
      $scope.find('.tb-imgbx6').each(function () {
       var swiper = new Swiper('.tb-imgbx6', {
              loop: true,
              slidesPerView: 3,
          });

      });

    };
     
    var CardSlider = function ($scope, $) {
      $scope.find('.blog-slider').each(function () {
       var slider_elem = $(this).find('.blog-slider__wrp');
       var settings = slider_elem.data('xld'); 

        var swiper = new Swiper('.blog-slider', {
              spaceBetween: 30,
              effect: 'fade',
              init: false,
              loop: true,
              pagination: {
                el: '.blog-slider__pagination',
                clickable: true,
              }
            });

         if (settings['auto']){
            swiper.params.autoplay.enabled = true;
            swiper.params.autoplay.delay = settings['speed'];
         }
         
        swiper.init();

      });

    };


    var SwiprCentr = function ($scope, $) {
      $scope.find('.tb-swiprcentr').each(function () {
       var slider_elem = $(this).find('.main-slider');
       var settings = $(this).data('xld'); 
       var swiper = new Swiper(slider_elem, {
              slidesPerView: 'auto',
              init: false,
              loop: false,
              paginationClickable: true,
              spaceBetween: 50,
              centeredSlides: true,
              mousewheel: settings['mouse'],
              navigation: {
                  nextEl: '.tbswiper-next',
                  prevEl: '.tbswiper-prev'
              },
              scrollbar: {
                  el: '.swiper-scrollbar',
                  draggable: true,
                  hide: false,
                  dragSize: 0,  
                  snapOnRelease: true
              },                               

            breakpoints: {
                1199: {
                    spaceBetween: 60
                },
                768: {
                    spaceBetween: 0
                },
            }, 

          });

         if (settings['auto']){
            swiper.params.autoplay.enabled = true;
            swiper.params.autoplay.delay = settings['speed'];
         }
         swiper.init();

      });

    };


    var TbSplitSe = function ($scope, $) {
      $scope.find('.tpfolioms').each(function () {
        var slider_elem = $(this);
        var settings = slider_elem.data('xld');   
        if (!$.fn.multiscroll){
          return;
        }
        function fullscreenMultiscroll() {
          slider_elem.multiscroll({
            navigation: settings['dot'],
            loopBottom: true,
            loopTop: true,
            afterRender: function(){
              $('#multiscroll-nav').addClass('msdotnav');
            }
          });          
        }   

        if (slider_elem.length) {

          if ($(window).width() < 768) {
            
          } else {
            fullscreenMultiscroll();
            $('html').addClass('multiscroll-active');
            $.fn.multiscroll.moveSectionDown(); 
            function scrollMe() {
                $.fn.multiscroll.moveSectionDown(); 
            }

          }

        }        
        
      }); 
    };

    var InstaGal = function ($scope, $) {
      $scope.find('.tbinstacarousel').each(function () {
       var slider_elem = $(this).find('.single-item');
       var settings = $(this).data('xld'); 

        slider_elem.slick({ 
          dots: settings['dot'],
          arrows: settings['arrow'],
          prevArrow: $(this).find('.prev'),
          nextArrow: $(this).find('.next'),  
          slidesToShow: settings['item'],
          autoplaySpeed: settings['speed'],
          centerMode: settings['center'],
          centerPadding: '0px',
          autoplay: settings['auto'],

          responsive: [
            {
              breakpoint: 768,
              settings: {
                slidesToShow: settings['item_tab'],
              }
            },
            {
              breakpoint: 480,
              settings: {
                arrows: false,
                slidesToShow: 1,
              }
            }
          ]

        });


        if (settings['mouse'] ){

          slider_elem.on('wheel', (function(e) {
            e.preventDefault();

            if (e.originalEvent.deltaY < 0) {
              $(this).slick('slickNext');
            } else {
              $(this).slick('slickPrev');
            }
          }));
        
        }
              
      });

    };


    var SlickImgCar = function ($scope, $) {
      $scope.find('.xldslickcarousel').each(function () {
       var slider_elem = $(this).find('.single-item');
       var settings = $(this).data('xld'); 

        slider_elem.slick({
          dots: settings['dot'],
          arrows: settings['arrow'],
          prevArrow: $(this).find('.prev'),
          nextArrow: $(this).find('.next'),  
          slidesToShow: settings['item'],
          autoplaySpeed: settings['speed'],
          centerMode: true,
          centerPadding: '0px',
          autoplay: settings['auto'],

        });

        if (settings['mouse'] ){

          slider_elem.on('wheel', (function(e) {
            e.preventDefault();

            if (e.originalEvent.deltaY < 0) {
              $(this).slick('slickNext');
            } else {
              $(this).slick('slickPrev');
            }
          }));
        
        }
      
      });

    };

    var SlickSplit = function ($scope, $) {

      $scope.find('.split-slideshow').each(function () {
       var settings = $(this).data('xld'); 

        var $slider = $('.slideshow .slider'),
          maxItems = $('.item', $slider).length,
          dragging = false,
          tracking,
          rightTracking;

        $sliderRight = $('.slideshow').clone().addClass('slideshow-right').appendTo($('.split-slideshow'));

        rightItems = $('.item', $sliderRight).toArray();
        reverseItems = rightItems.reverse();
        $('.slider', $sliderRight).html('');
        for (i = 0; i < maxItems; i++) {
          $(reverseItems[i]).appendTo($('.slider', $sliderRight));
        }

        $slider.addClass('slideshow-left');
        $('.slideshow-left').slick({
          vertical: true,
          verticalSwiping: true,
          arrows: false,
          infinite: true,
          autoplay:settings['auto'],
          dots: false,
          speed: 1000,
          autoplaySpeed: settings['speed'],
          cssEase: 'cubic-bezier(0.7, 0, 0.3, 1)'
        }).on('beforeChange', function(event, slick, currentSlide, nextSlide) {

          if (currentSlide > nextSlide && nextSlide == 0 && currentSlide == maxItems - 1) {
            $('.slideshow-right .slider').slick('slickGoTo', -1);
            $('.slideshow-text').slick('slickGoTo', maxItems);
          } else if (currentSlide < nextSlide && currentSlide == 0 && nextSlide == maxItems - 1) {
            $('.slideshow-right .slider').slick('slickGoTo', maxItems);
            $('.slideshow-text').slick('slickGoTo', -1);
          } else {
            $('.slideshow-right .slider').slick('slickGoTo', maxItems - 1 - nextSlide);
            $('.slideshow-text').slick('slickGoTo', nextSlide);
          }
        }).on("mousewheel", function(event) {
          event.preventDefault();
          if (event.deltaX > 0 || event.deltaY < 0) {
            $(this).slick('slickNext');
          } else if (event.deltaX < 0 || event.deltaY > 0) {
            $(this).slick('slickPrev');
          };
        }).on('mousedown touchstart', function(){
          dragging = true;
          tracking = $('.slick-track', $slider).css('transform');
          tracking = String(tracking).split(',')[1];
          rightTracking = $('.slideshow-right .slick-track').css('transform');
          rightTracking = String(rightTracking).split(',')[1];

        }).on('mousemove touchmove', function(){
          if (dragging) {
            newTracking = $('.slideshow-left .slick-track').css('transform');
            newTracking = String(newTracking).split(',')[1];
            diffTracking = newTracking - tracking;
            $('.slideshow-right .slick-track').css({'transform': 'matrix(1, 0, 0, 1, 0, ' + (rightTracking - diffTracking) + ')'});
          }
        }).on('mouseleave touchend mouseup', function(){
          dragging = false;
        });

        $('.slideshow-right .slider').slick({
          swipe: false,
          vertical: true,
          arrows: false,
          infinite: true,
          speed: 950,
          cssEase: 'cubic-bezier(0.7, 0, 0.3, 1)',
          initialSlide: maxItems - 1
        });
        $('.slideshow-text').slick({
          swipe: false,
          vertical: true,
          arrows: false,
          infinite: true,
          speed: 900,
          cssEase: 'cubic-bezier(0.7, 0, 0.3, 1)'
        });

      });

    };

    var SwiperShop = function ($scope, $) {
      $scope.find('.tb-shopslide').each(function () {
       var slider_elem = $(this).find('.main-slider');
       var settings = $(this).data('xld'); 
       var swiper = new Swiper(slider_elem, {
              slidesPerView: 1,
              init: false,
              paginationClickable: true,
              spaceBetween: 0,
              centeredSlides: true,
              mousewheel: settings['mouse'],
              navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
              }, 

              loop: true,
              effect: settings['transition'], 
              fadeEffect: {
                crossFade: true
              },                           

              on: {
                init: function () {
                  
                },
              },      

          });

         if (settings['auto']){
            swiper.params.autoplay.enabled = true;
            swiper.params.autoplay.delay = settings['speed'];
         }
         swiper.init();

      });

    };


    var Testi5 = function ($scope, $) {
      $scope.find('.testi5-container').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       var swiper = new Swiper(slider_elem, {
              init: false,
              paginationClickable: true,
              spaceBetween: 0,
              navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
              },

              pagination: {
                el: ".swiper-pagination",
                clickable: true,
                type: 'bullets',
              }, 

              loop: true,
              effect: settings['fade'],
              autoplay: {
                enabled: false,
              }, 
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: settings['mouse'],       

          });

       swiper.params.slidesPerView = 1;
       if (settings['auto']){
          swiper.params.autoplay.enabled = true;
          swiper.params.autoplay.delay = settings['speed'];
       }
       swiper.init();
      });

    };

    var HvrSync = function ($scope, $) {
      $scope.find('.xld-hvrsync').each(function () {

       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       $pageContent = $( '.xld-bgfade .inner' );
       var swiper = new Swiper(slider_elem, {
              slidesPerView: settings['item'],
              paginationClickable: true,
              centeredSlides: true,
              spaceBetween: 0,
              loop: true,
              breakpoints: {
                1025: {
                  slidesPerView: settings['item_tab'],
                },
                768: {
                  slidesPerView: 1,
                },
              },
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: true, 
                on: {                   
                    init: function () {
                        
                        var first = $('.swiper-slide:nth-child(1)').data('bg');
                        $pageContent.css('background-image', 'url(' + first + ')');

                        $('.swiper-slide:nth-child(1)').addClass('active');
                        $('.swiper-slide').on('mouseenter touchstart', function() {
                        if (!$(this).hasClass("active")) {
                            $('.swiper-slide').removeClass('active');
                            $(this).addClass('active'); 
                            var slide = $(this).data('bg');
                            $pageContent.css('background-image', 'url(' + slide + ')');
                                                                                   
                        }
                            
                        }).on('mouseleave touchend', function() {
                            
                        });
                        
                    },
                }
          });


      });

    };


    var FsThmb = function ($scope, $) {
      $scope.find('.thmbfulwrp').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 

  var interleaveOffset, mainSlider, mainSliderOptions, mainSliderSelector, navSlider, navSliderOptions, navSliderSelector;

  mainSliderSelector = '.main-slider';
  navSliderSelector = '.nav-slider';
  interleaveOffset = 0.5;

  mainSliderOptions = {
    loop: true,
    speed: 1000,
    init: false,
    mousewheel: settings['mouse'],
    loopAdditionalSlides: 10,
    grabCursor: true,
    watchSlidesProgress: true,
    navigation: {
      nextEl: '.swiper-button-next',
      prevEl: '.swiper-button-prev'
    },
    on: {
      init: function() {
        this.autoplay.stop();
      },

      progress: function() {
        var i, innerOffset, innerTranslate, slideProgress, swiper;
        swiper = this;
        i = 0;
        while (i < swiper.slides.length) {
          slideProgress = swiper.slides[i].progress;
          innerOffset = swiper.width * interleaveOffset;
          innerTranslate = slideProgress * innerOffset;
          swiper.slides[i].querySelector('.slide-bgimg').style.transform = 'translate3d(' + innerTranslate + 'px, 0, 0)';
          i++;
        }
      },
      touchStart: function() {
        var i, swiper;
        swiper = this;
        i = 0;
        while (i < swiper.slides.length) {
          swiper.slides[i].style.transition = '';
          i++;
        }
      },
      setTransition: function(speed) {
        var i, swiper;
        swiper = this;
        i = 0;
        while (i < swiper.slides.length) {
          swiper.slides[i].style.transition = speed + 'ms';
          swiper.slides[i].querySelector('.slide-bgimg').style.transition = speed + 'ms';
          i++;
        }
      }
    }
  };

  
  mainSlider = new Swiper(mainSliderSelector, mainSliderOptions);
   if (settings['auto']){
      mainSlider.params.autoplay.enabled = true;
      mainSlider.params.autoplay.delay = settings['speed'];
   }  
  mainSlider.init();

  if (settings['thumb']){

    navSliderOptions = {
      loop: true,
      speed: 1000,
      spaceBetween: settings['thmbspace'],
      slidesPerView: settings['thmbitem'],
      centeredSlides: settings['thmbcenter'],
      touchRatio: 0.2,
      slideToClickedSlide: true,
      on: {
        imagesReady: function() {
          this.el.classList.remove('loading');
        },
        click: function() {
          mainSlider.autoplay.stop();
        }
      }
    };

    navSlider = new Swiper(navSliderSelector, navSliderOptions);

    mainSlider.controller.control = navSlider;
    navSlider.controller.control = mainSlider;    

  }
 
      });

    };

  var GalleryTick = function ($scope, $) { 

    var slider_elem = $scope.find('.gallery-ticker');
    var settings = slider_elem.find('.slider-single').data('slick'); 

    $('.gallery-ticker').slick({
        slidesToShow: 4,
        slidesToScroll: 1,
        autoplay: true,
        autoplaySpeed: 0,
        speed: 1000,
        cssEase: 'cubic-bezier(0.77, 0, 0.18, 1)',
        useTransform: true,
        infinite:true,
    });
  };


  var WidgetTestiCarou = function ($scope, $) { 

    var slider_elem = $scope.find('.testi_4');
    var settings = slider_elem.data('xld');
    var main_slide = $scope.find('.slider-single-' + settings['id']);
    var nav_slide = $scope.find('.slider-nav-' + settings['id']);

    var prblm = $('.slider-nav-' + settings['id']+ ' ' +'.slick-slide');
       main_slide.slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: false,
        dots: false,
        fade: false,
        asNavFor: nav_slide,
        fade: true,
       });

       nav_slide.slick({
        slidesToShow: settings['items'],
        autoplay: settings['auto'],
        autoplaySpeed: settings['speed'],
        slidesToScroll: 1,
        asNavFor: main_slide,
        dots: false,
        arrows: false,
        centerMode: true,
        focusOnSelect: true,

        responsive: [
          {
            breakpoint: 768,
            settings: {

            }
          },
        ]

       });

       prblm.removeClass('slick-active');
       prblm.eq(0).addClass('slick-active');

       main_slide.on('beforeChange', function (event, slick, currentSlide, nextSlide) {
        var mySlideNumber = nextSlide;
        prblm.removeClass('slick-active');
        prblm.eq(mySlideNumber).addClass('slick-active');
      });


  };


    var Imgbx3 = function ($scope, $) {
      $scope.find('.imgbx3carou').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       var swiper = new Swiper(slider_elem, {
              slidesPerView: settings['item'],
              paginationClickable: true,
              spaceBetween: settings['space'],
              navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
              },

              breakpoints: {
                1025: {
                  slidesPerView: settings['item_tab'],
                },
                768: {
                  slidesPerView: 1,
                },
              },

              pagination: {
                el: ".swiper-pagination",
                clickable: true,
                type: 'bullets',
              }, 

              loop: true,
              autoplay: {
                delay: settings['speed'],
                disableOnInteraction: false,
              }, 
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: settings['mouse'], 

              on: {
                init: function () {
                  if (settings['center']){
                    slider_elem.find('.swiper-slide').addClass("centermode");
                  }
                  
                },
              },      

          });
      });

    };

    var Team1 = function ($scope, $) {
      $scope.find('.team1carou').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       var swiper = new Swiper(slider_elem, {
              slidesPerView: settings['item'],
              paginationClickable: true,
              spaceBetween: settings['space'],
              navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
              },

              breakpoints: {
                1025: {
                  slidesPerView: settings['item_tab'],
                },
                768: {
                  slidesPerView: 1,
                },
              },

              pagination: {
                el: ".swiper-pagination",
                clickable: true,
                type: 'bullets',
              }, 

              loop: true,
              autoplay: {
                delay: settings['speed'],
                disableOnInteraction: false,
              }, 
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: settings['mouse'], 

              on: {
                init: function () {
                  if (settings['center']){
                    slider_elem.find('.swiper-slide').addClass("centermode");
                  }
                  
                },
              },      

          });
      });

    };

    var Team2 = function ($scope, $) {
      $scope.find('.tbteam2.hascarou').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       var swiper = new Swiper('.tbteam2.hascarou', {
              slidesPerView: settings['item'],
              paginationClickable: true,
              spaceBetween: settings['space'],
              navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
              },

              breakpoints: {
                1025: {
                  slidesPerView: settings['item_tab'],
                },
                768: {
                  slidesPerView: 1,
                },
              },

              pagination: {
                el: ".swiper-pagination",
                clickable: true,
                type: 'bullets',
              }, 

              loop: true,
              autoplay: {
                delay: settings['speed'],
                disableOnInteraction: false,
              }, 
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: settings['mouse'],      

          });
      });

    };

    var FoBgParallax = function ($scope, $) {
      $scope.find('.xldparallaxfolio').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       if (settings){

         if(jQuery().jarallax) {
            $('.foliobg').jarallax({
                speed: settings['speed'],
            });
         }
       }

      });

    }; 

    var HvrFolio = function ($scope, $) {
      $scope.find('.bari_assex_slider').each(function () {
       var settings = $(this).data('xld'); 

          var $XFeatPost=$(this);
          var $XFeatPostItems= $('.assex-wrap').children('.post-item');
          var $auto=settings['auto'];
          var $time=0;
          var $timeInt = settings['speed'];
          var $timeMax=1500;
          $XFeatPostItems.each(function(){
              var $XFeatPostItem=$(this);
              $XFeatPostItem.on({
                  mouseenter: function () {
                      $XFeatPostItem.addClass('active').siblings('.post-item').removeClass('active');
                  $auto=false;
                  },
                  mouseleave:function () {
                      $time=0;
                      $auto=true;
                  }
              });
          });

          if($XFeatPostItems.length>1){
              setInterval(function(){
                 if($auto&&$time>$timeMax){
                     $time=0;
                     var $activeItem=$('.assex-wrap').children('.post-item.active');
                     var $nextItem=$activeItem.next('.post-item').hasClass('post-item')?$activeItem.next('.post-item'):$XFeatPostItems.eq(0);
                     $nextItem.addClass('active');
                     $activeItem.removeClass('active');
                 }else{
                     $time+=$timeInt;
                 }
              },$timeInt);
          }

      });

    };


    var HvrFolio2 = function ($scope, $) {
      $scope.find('.bari_assex_slider2').each(function () {
       var settings = $(this).data('xld'); 

          var $XFeatPost=$(this);
          var $XFeatPostItems= $('.assex-wrap').children('.post-item');
          var $auto=settings['auto'];
          var $time=0;
          var $timeInt = settings['speed'];
          var $timeMax=0;
          $XFeatPostItems.each(function(){
              var $XFeatPostItem=$(this);
              $XFeatPostItem.on({
                  mouseenter: function () {
                      $XFeatPostItem.addClass('active').siblings('.post-item').removeClass('active');
                  $auto=false;
                  },
                  mouseleave:function () {
                      $time=0;
                      $auto=true;
                  }
              });
          });

          if($XFeatPostItems.length>1){
              setInterval(function(){
                 if($auto&&$time>$timeMax){
                     $time=0;
                     var $activeItem=$('.assex-wrap').children('.post-item.active');
                     var $nextItem=$activeItem.next('.post-item').hasClass('post-item')?$activeItem.next('.post-item'):$XFeatPostItems.eq(0);
                     $nextItem.addClass('active');
                     $activeItem.removeClass('active');
                 }else{
                     $time+=$timeInt;
                 }
              },$timeInt);
          }

      });

    };

    var Gallery2 = function ($scope, $) {
      $scope.find('.aegrid-gallery').each(function () {
       var slider_elem = $(this);
       if (slider_elem.hasClass('justified')){
         var height = slider_elem.data('height');
         var truncate = slider_elem.data('truncate');
         $('.justified').flexImages({
          rowHeight: height,
          truncate:truncate,
         });

       }

       if (slider_elem.hasClass('masonry')){
          var container = $('.aegrid-gallery');
          container.imagesLoaded(function() {
              container.masonry({
                  itemSelector: '.gallery-item',
                  isAnimated: true
              });
          });

       }

      });

    };



    var Typing1 = function ($scope, $) {
      $scope.find('.type-text').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       if (settings){

              slider_elem.each( function() {
                var items = settings['typing'];
                slider_elem.teletype( {
                  text: $.map( items.split( ';' ), $.trim ),
                  typeDelay: 10,
                  backDelay: 20,
                  cursor: settings['cursor'],
                  delay: 3000,
                  preserve: false,
                  prefix: settings['pre'],
                  loop: 0
                } );
              } );

       }

      });

    };


    var TipFolio = function ($scope, $) {
      $scope.find('.foliotips').each(function () {
        var settings = $(this).data('xld');
        var tooltip = new Drooltip({
          "element" : ".myTooltip",
           "position" : settings['position'],
           "background" : settings['background'],
           "color" : settings['color'],
           "animation": settings['animation'],          
        });
      });

    };    

    var TbDateCter = function ($scope, $) {
      $scope.find('.countdown').each(function () {
        var settings = $(this).data('xld');
        if ($.fn.countdown) {

          $('.countdown').countdown({
              date: settings['date'],
              render: function(date) {
                return $(this.el).html("<span class='days'>" + date.days + "<span>days</span></span><span class='hour'>" + (this.leadingZeros(date.hours)) + "<span>hours</span></span><span class='min'>" + (this.leadingZeros(date.min)) + "<span>min</span></span><span class='sec'>" + (this.leadingZeros(date.sec)) + "<span>sec</span></span>");
              }            
          });

        }
      });

    };

    var TbDateCter2 = function ($scope, $) {
      $scope.find('.countdown2').each(function () {
        var settings = $(this).data('xld');
        if ($.fn.countdown) {
          $('.countdown2').countdown({
              date: settings['date'],
          });
        }        
      });

    };

    var FolioCarousel = function ($scope, $) {
      $scope.find('.folio1carwrap').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
       var swiper = new Swiper(slider_elem, {
              slidesPerView: settings['item'],
              paginationClickable: true,
              lazy: true,
              centeredSlides: settings['center'],
              spaceBetween: settings['space'],
              navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
              },

              breakpoints: {
                1025: {
                  slidesPerView: settings['item_tab'],
                },
                768: {
                  slidesPerView: 1,
                },
              },

              pagination: {
                el: ".swiper-pagination",
                clickable: true,
                type: 'bullets',
              }, 

              loop: true, 
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: settings['mouse'], 

              on: {
                init: function () {
                  if (settings['center']){
                    slider_elem.find('.swiper-slide').addClass("centermode");
                  }
                  
                },
              },      

          });
      });

    };

    var BgBlur = function ($scope, $) {
      $scope.find('.xld-blurslider').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 

       $pageContent = $( '.xld-bgfade .inner' );
       var swiper = new Swiper(slider_elem, {
              slidesPerView: 1,
              paginationClickable: true,
              spaceBetween: 0,
              loop: true, 
              fadeEffect: {
                crossFade: true
              },                           
              mousewheel: true, 
               on: {

              slideChange: function() {
                var swiper = this;
                var value = $('.swiper-slide').eq( swiper.activeIndex );
                var id = value.data('bg');
                $pageContent.css('background-image', 'url(' + id + ')');

              },

            }
          });
      });

    };

    var Testimonial = function ($scope, $) {

      var swiper = new Swiper('.swiper-container', {
        slidesPerView: 3,
        pagination: {
          el: '.swiper-pagination',
          clickable: true,
        },
      });

    };


    var ParaLLaxBg = function ($scope, $) {
      var $target  = $scope,
        $window  = $( window ),
        columnId = $target.data('id');

        if ( $scope.hasClass('tb-vsecsep') ) {
          $scope.append( "<div class='vsecsep'><span></span></div>" );
        }

        if ( $scope.hasClass('tb-mousesep') ) {
          $scope.append( "<div class='xldscroll-downs'><div class='mousey'><div class='scroller'></div></div></div>" );
        }


        if ( $scope.hasClass('tb-dualclrbg') ) {
          $scope.append( "<div class='tb_dualbg'><div class='fbg'></div><div class='lbg'></div></div>" );
        }


        if ( $scope.hasClass('tb-fixedfooter') ) {
          if($(window).width() < 1025) {
            return;
          }
          var selector = $('.tb-fixedfooter');
          $('body').css({'margin-bottom': selector.outerHeight()});
        }

        if ( $scope.hasClass('tb-sbg') ) {
          if($(window).width() < 1025) {
            return;
          }

        var scrollSpeed = 100;
        var current = 0;
        var direction = 'h';
        function bgscroll(){
            current -= 5;
            $('.tb-sbg').css("backgroundPosition", (direction == 'h') ? current+"px 0" : "0 " + current+"px");
        }
         setInterval(bgscroll, scrollSpeed);

        }


        if ( $target.hasClass('tb-parallaxbg') ) {
          var settings = $target.data('tb-parallaxbg-settings');
          var speed = settings['speed'] ;
          if(speed > 0){
            $('.elementor-element-' + columnId).jarallax({
                speed: speed
            });
          }

          if (settings['blur']){

            $(document).on('scroll', function(){    
              var scrollPos = $(this).scrollTop();
              $('.elementor-element-' + columnId).css({
                'top' : (scrollPos/5)+'px',
                'opacity' : 1-(scrollPos/950)
              });
            });

          }

        }

        if ( $target.hasClass('tb-particlebg') ) {
          var options = $target.data('tb-particle-settings');
          var template_url = xld_particle.template_url;

          var config_url = '';
          switch (options['style']) {
              case 'default':
                  config_url = template_url + "assets/particles-json/particlesjs-default.json";
                  break;
              case 'nasa':
                  config_url = template_url + "assets/particles-json/particlesjs-nasa.json";
                  break;
              case 'bubble':
                  config_url = template_url + "assets/particles-json/particlesjs-bubble.json";
                  break;
              case 'snow':
                  config_url = template_url + "assets/particles-json/particlesjs-snow.json";
                  break;
          }     

        var id = '';
        if (!$scope.attr("id")) {
            id = 'p' + $scope.data('id');
            $scope.attr('id', id);
        } else {
            id = $scope.attr('id');
        }

            $.getJSON(config_url, function (data) {

                if (options['color']) {
                    data.particles.color.value = options['color'];
                }

                if (options['linecolor']) {
                    data.particles.line_linked.color = options['linecolor'];
                }

                particlesJS(id, data);

            });

        $scope.children('div').each(function () {
            $(this).css('z-index', '10');
        });

        $scope.children('canvas').each(function () {
            $(this).css('z-index', '1');
        });

        }
        

    }; 

    var Testimonial2 = function ($scope, $) {
      $scope.find('.tstim2').each(function () {
        var slider_elem = $(this);
        var settings = slider_elem.data('xld');
        slider_elem.not('.slick-initialized').slick({

          autoplay:settings['auto'],
          slidesToShow:1,
          dots:settings['dot'],
          arrows: false,

        });

      });
    };

    var InStickyNav = function ($scope, $) {
      $scope.find('.xld-snavwrap').each(function () {
        var wrap = $(this);
        
        var feature_nav = $(".xld-snavwrap");
        var offset = wrap.offset().top;
        $(window).scroll(function(event) {
            var scroll = $(window).scrollTop();
            var total = wrap.height()+ offset - 200;
            if (scroll > total) {
                feature_nav.addClass('sticky-off')
            }
            if (scroll < total) {
                feature_nav.removeClass('sticky-off')
            }
        });

      });
    };

    var MultiFullscr = function ($scope, $) {

    };

    var TpFolioScroll = function ($scope, $) {
      $scope.find('.xldms').each(function () {
        var slider_elem = $(this);
        var settings = slider_elem.data('xld');   
        function fullscreenMultiscroll() {
          slider_elem.multiscroll({
            navigation: settings['dot'],
            loopBottom: true,
            loopTop: true
          });          
        }   

        if (slider_elem.length) {

          if ($(window).width() < 768) {
            
          } else {
            fullscreenMultiscroll();
            $('html').addClass('multiscroll-active');
            $.fn.multiscroll.moveSectionDown(); 
            function scrollMe() {
                $.fn.multiscroll.moveSectionDown(); 
            }

            if (settings['speed']){
              setInterval(scrollMe, settings['speed']);
            }

          }

        }        
        
      }); 
    };

    var Slideshowify = function ($scope, $) { 
      if($.fn.slideshowify && $.fn.transit){
        $('.slideshowify-wrap img').slideshowify();
      };
    };



    var FlscrnVert = function ($scope, $) {
      $scope.find('.swiper-slide3').each(function () {
        var slider_elem = $(this);
        var settings = slider_elem.data('thop');     
        var swiper = new Swiper('.swiper-slide3', {
          slidesPerView: 1,
          speed: 600,
          spaceBetween: 0,
          parallax: true,                     
          loop: true,
          pagination: {
            el: ".swiper-pagination",
            clickable: true,
            type: 'bullets',

            renderProgressbar: function (progressbarFillClass) {
                return '<span class="' + progressbarFillClass + '"></span>';
            }
          },
        });
      }); 
    };

    var SwipVert = function ($scope, $) {
      $scope.find('.swiper-slide2').each(function () {
       var slider_elem = $(this);
       var settings = slider_elem.data('xld'); 
        var swiper = new Swiper('.swiper-slide2', {
          slidesPerView:settings['item'],
          spaceBetween:settings['space'],
          centeredSlides:settings['center'],
          loop: true,
          mousewheel: true, 
          breakpoints: {
            768: {
              slidesPerView: settings['item_tab'],
            },
            640: {
              slidesPerView: 1,
            },
          },           
          autoplay: {
            delay: settings['speed'],
            disableOnInteraction: false,
          },                
          pagination: {
            el: ".swiper-pagination",
            clickable: true,
            renderBullet: function(index, className) {
              var mainIndex = index + 1;
              if (mainIndex < 10) {
                mainIndex = "0" + mainIndex;
              }
              return '<span class="' + className + '">' + mainIndex + "</span>";
            }
          },

          on: {
            progress: function() {
              var swiper = this;
              for (var i = 0; i < swiper.slides.length; i++) {
                var slideProgress = swiper.slides[i].progress;
                var innerOffset = swiper.width * 1;
                var innerTranslate = slideProgress * innerOffset;
                swiper.slides[i].querySelector(".slide-inner").style.transform =
                  "translate3d(" + innerTranslate + "px, 0, 0)";
              }
            },
            touchStart: function() {
              var swiper = this;
              for (var i = 0; i < swiper.slides.length; i++) {
                swiper.slides[i].style.transition = "";
              }
            },
            setTransition: function(speed) {
              var swiper = this;
              for (var i = 0; i < swiper.slides.length; i++) {
                swiper.slides[i].style.transition = speed + "ms";
                swiper.slides[i].querySelector(".slide-inner").style.transition =
                  speed + "ms";
              }
            }
          }

        });
      });

    };


    var Swipercar1 = function ($scope, $) {

      var interleaveOffset = 0.5;
      var swiperOptions = {
        loop: true,
        mousewheel: true,        
        speed: 700,
        grabCursor: true,
        watchSlidesProgress: true,
        mousewheelControl: true,
        keyboardControl: true,
        pagination: {
          el: ".swiper-pagination",
          clickable: true,
          renderBullet: function(index, className) {
            var mainIndex = index + 1;
            if (mainIndex < 10) {
              mainIndex = "0" + mainIndex;
            }
            return '<span class="' + className + '">' + mainIndex + "</span>";
          }
        },
        navigation: {
          nextEl: ".swiper-button-next",
          prevEl: ".swiper-button-prev"
        },
        on: {
          progress: function() {
            var swiper = this;
            for (var i = 0; i < swiper.slides.length; i++) {
              var slideProgress = swiper.slides[i].progress;
              var innerOffset = swiper.width * interleaveOffset;
              var innerTranslate = slideProgress * innerOffset;
              swiper.slides[i].querySelector(".slide-inner").style.transform =
                "translate3d(" + innerTranslate + "px, 0, 0)";
            }
          },
          touchStart: function() {
            var swiper = this;
            for (var i = 0; i < swiper.slides.length; i++) {
              swiper.slides[i].style.transition = "";
            }
          },
          setTransition: function(speed) {
            var swiper = this;
            for (var i = 0; i < swiper.slides.length; i++) {
              swiper.slides[i].style.transition = speed + "ms";
              swiper.slides[i].querySelector(".slide-inner").style.transition =
                speed + "ms";
            }
          }
        }
      };

      var swiper = new Swiper(".swiper-slide1", swiperOptions);

    };

    var ImgCarousel = function ($scope, $) {
      $scope.find('.tb-galcarou1').each(function () {
        var slider_elem = $(this);
        var settings = slider_elem.data('thop');   
        console.log(settings['center']);   
        var swiper = new Swiper('.tb-galcarou1', {
          slidesPerView: settings['item'],
          speed: 600,
          spaceBetween: settings['space'],
          parallax: true,          
          centeredSlides: settings['center'],
          mousewheel: settings['mouse'],         
          loop: true,
          pagination: {
            el: '.swiper-pagination',
            clickable: true,
          },
          navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
          },          
        });
      }); 
    };

    var RunAll = function ($scope, $) {
      $scope.find('.masonwrp').each(function () {
        var slider_elem = $(this);


      });

    };

    var PloAder = function ($scope, $) {
      $scope.find('.tbpreloader').each(function () {
        var slider_elem = $(this);
        var dElay = slider_elem.data('delay');
        $(this).delay(dElay).queue('fx', function() { $(this).addClass('loaded'); });
      });

    };


    var HvrEveal = function ($scope, $) {
      $scope.find('.hoverevel-scene').each(function () {
        var slider_elem = $(this);

        var $magic = slider_elem.find('.magic'),
            magicWHalf = $magic.width() / 2;
        $(document).on("mousemove", function(e) {
          $magic.css({"left": e.pageX - magicWHalf, "top": e.pageY - magicWHalf});
        });

      });
    };

    var TbHvr3 = function ($scope, $) {
      $scope.find('.tb_lhvr3').each(function () {

        $('.tb_lhvr3-name').on('mouseenter', function() {
          var main = $(this).data('id');
          $('.tb_lhvr3-name.active').removeClass('active');
          $('.tb_lhvr3imgs li.show').removeClass("show");
          $('.tb_lhvr3imgs li:nth-child(' + main+ ')').addClass("show");
          $('.tb_lhvr3-name:nth-child(' + main+ ')').addClass('active');
        })

        $('.tb_lhvr3-name:nth-child(1)').trigger('mouseenter');

      });

    };


    var TbBfeAft = function ($scope, $) {
      $scope.find('.beer-slider').each(function () {
        
        if (typeof BeerSlider !== 'undefined' && $.isFunction(BeerSlider)){

          $.fn.BeerSlider = function( options ) {
            options = options || {};
            return this.each( function () {
              new BeerSlider( this, options );
            });
          };

          $( ".beer-slider" ).each( function( index, el ) {
            $( el ).BeerSlider( {start: $( el ).data( "start" ) } )
          });

        }

      });

    };


  var cf7_process = function ($scope, $) { 

    var cf7_elem = $scope.find('.wpcf7-form input[type="submit"]');
    cf7_elem.replaceWith('<button id="submit" type="submit"><span class="submit-busy" style="display: none;"></span><span class="submit-text">' + $('.wpcf7-form input[type="submit"]').val() +'</span></button>');
  };
  
 
    $(window).on('elementor/frontend/init', function () {

        if (elementorFrontend.isEditMode()) {
 
            elementorFrontend.hooks.addAction('frontend/element_ready/ae-cf7.default', cf7_process);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_testim_1.default', Testimonial);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_testim_2.default', Testimonial2);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_gallery1.default', ImgCarousel);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slide1.default', Swipercar1);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slide2.default', SwipVert);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slidershop.default', SwiperShop);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-thmbslidr.default', FsThmb);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-hvrsync.default', HvrSync);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_slicksplit.default', SlickSplit);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb-swprcntr.default', SwiprCentr);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-folioscroll.default', TpFolioScroll);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_slideshowify.default', Slideshowify);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slide3.default', FlscrnVert);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-multiscrolfull.default', MultiFullscr);
 
            elementorFrontend.hooks.addAction('frontend/element_ready/stickynav.default', InStickyNav);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-bgblr.default', BgBlur);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-carousel1.default', FolioCarousel);
            elementorFrontend.hooks.addAction('frontend/element_ready/ae-tipfolio.default', TipFolio);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-typing1.default', Typing1);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_fssync.default', SlkFsSync);

            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slkcrsl.default', SlickImgCar);

            elementorFrontend.hooks.addAction('frontend/element_ready/wa-gallery.default', Gallery2);
            elementorFrontend.hooks.addAction('frontend/element_ready/gallry_tickr.default', GalleryTick);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_foliohvr.default', HvrFolio);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_foliohvr2.default', HvrFolio2);

            elementorFrontend.hooks.addAction('frontend/element_ready/tb_team1.default', Team1);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_team2.default', Team2);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_imgbx3.default', Imgbx3);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_imgbx_6.default', ImgBox6);

            elementorFrontend.hooks.addAction('frontend/element_ready/tb-testim4.default', WidgetTestiCarou);

            elementorFrontend.hooks.addAction('frontend/element_ready/tb_testim_5.default', Testi5);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_cardslider.default', CardSlider);

            elementorFrontend.hooks.addAction('frontend/element_ready/tp-folioparallax.default', FoBgParallax);
            elementorFrontend.hooks.addAction('frontend/element_ready/section', ParaLLaxBg);

            elementorFrontend.hooks.addAction('frontend/element_ready/ae-instafeed.default', InstaGal);

            elementorFrontend.hooks.addAction('frontend/element_ready/gng-timer.default',TbDateCter);
            elementorFrontend.hooks.addAction('frontend/element_ready/tbdttymr.default',TbDateCter2);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_slkgalsyn.default',TbgalSlkThm);
            elementorFrontend.hooks.addAction('frontend/element_ready/widget',RunAll);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_tymlynfs.default',TbTimeFscrn);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-beforeafter.default',TbBfeAft);

            elementorFrontend.hooks.addAction('frontend/element_ready/cookie_consent.default', TpCokkie);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_pageloader.default', PloAder);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_lhvr3.default', TbHvr3);
            elementorFrontend.hooks.addAction('frontend/element_ready/hrevbg.default',HvrEveal);
            

        } else {
          
            elementorFrontend.hooks.addAction('frontend/element_ready/ae-cf7.default', cf7_process);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_testim_1.default', Testimonial);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_testim_2.default', Testimonial2);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_gallery1.default', ImgCarousel);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slide1.default', Swipercar1);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slidershop.default', SwiperShop);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slide2.default', SwipVert);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-thmbslidr.default', FsThmb);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-hvrsync.default', HvrSync);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_slicksplit.default', SlickSplit);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb-swprcntr.default', SwiprCentr);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-folioscroll.default', TpFolioScroll);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_slideshowify.default', Slideshowify);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slide3.default', FlscrnVert);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-multiscrolfull.default', MultiFullscr);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-splitfolio.default', TbSplitSe);
            elementorFrontend.hooks.addAction('frontend/element_ready/stickynav.default', InStickyNav);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-bgblr.default', BgBlur);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-carousel1.default', FolioCarousel);
            elementorFrontend.hooks.addAction('frontend/element_ready/ae-tipfolio.default', TipFolio);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-typing1.default', Typing1);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_fssync.default', SlkFsSync);

            elementorFrontend.hooks.addAction('frontend/element_ready/tp-slkcrsl.default', SlickImgCar);


            elementorFrontend.hooks.addAction('frontend/element_ready/wa-gallery.default', Gallery2);
            elementorFrontend.hooks.addAction('frontend/element_ready/gallry_tickr.default', GalleryTick);            
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_foliohvr.default', HvrFolio);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_foliohvr2.default', HvrFolio2);

            elementorFrontend.hooks.addAction('frontend/element_ready/tb_team1.default', Team1);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_team2.default', Team2);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_imgbx3.default', Imgbx3);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_imgbx_6.default', ImgBox6);

            elementorFrontend.hooks.addAction('frontend/element_ready/tb-testim4.default', WidgetTestiCarou);

            elementorFrontend.hooks.addAction('frontend/element_ready/tb_testim_5.default', Testi5);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_cardslider.default', CardSlider);
            
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-folioparallax.default', FoBgParallax);
            elementorFrontend.hooks.addAction('frontend/element_ready/section', ParaLLaxBg);

            elementorFrontend.hooks.addAction('frontend/element_ready/ae-instafeed.default', InstaGal);

            elementorFrontend.hooks.addAction('frontend/element_ready/gng-timer.default',TbDateCter);
            elementorFrontend.hooks.addAction('frontend/element_ready/tbdttymr.default',TbDateCter2);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_slkgalsyn.default',TbgalSlkThm);
            elementorFrontend.hooks.addAction('frontend/element_ready/widget',RunAll);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_tymlynfs.default',TbTimeFscrn);
            elementorFrontend.hooks.addAction('frontend/element_ready/tp-beforeafter.default',TbBfeAft);

            elementorFrontend.hooks.addAction('frontend/element_ready/cookie_consent.default', TpCokkie);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_pageloader.default', PloAder);
            elementorFrontend.hooks.addAction('frontend/element_ready/tb_lhvr3.default', TbHvr3);
            elementorFrontend.hooks.addAction('frontend/element_ready/hrevbg.default',HvrEveal);

        }
    });
    

function handleContactForm() {
    $('.wpcf7 form').on('submit', function() {
        $(this).find('.submit-busy').css({
            'display': 'block'
        });

        $(this).find('.ajax-loader').css({
            'display': 'none'
        });

        $(this).find('.submit-text').css({
            'opacity': '0'
        });

    });
    $(document).on('spam.wpcf7 invalid.wpcf7 spam.wpcf7 mailsent.wpcf7 mailfailed.wpcf7', function(e) {
        var form = e.target;
        $(form).find('.submit-busy').css({
            'display': 'none'
        });

        $(form).find('.wpcf7-response-output').addClass('alert alert-warning');

        $(form).find('.submit-text').css({
            'opacity': '1'
        });        
    });
}

handleContactForm();

if (typeof ScrollReveal !== 'undefined' && $.isFunction(ScrollReveal)) {

  window.sr = ScrollReveal();
  sr.reveal('.reveal-top, .reveal-bottom, .reveal-left, .reveal-right', {
    delay: 700,
    easing: 'ease',
    duration: 800,
    scale: 0,
  });

  sr.reveal('.reveal-top', {
    origin: 'top',
  },250);
  sr.reveal('.reveal-bottom', {
    origin: 'bottom',
  },250);  
  sr.reveal('.reveal-left', {
    origin: 'left',
  },250);
  sr.reveal('.reveal-right', {
    origin: 'right',
  },250);

}

  
var tbtops = document.querySelector(".tbprogress path");
if (tbtops) {

    var i = $("#tb-top");
    $(window).scroll(function() {
        300 < $(this).scrollTop() ? i.addClass("prg-visible") : i.removeClass("prg-visible prg-fadetransition"), 1200 < $(this).scrollTop() && i.addClass("prg-fadetransition")
    }), i.on("click", function(e) {
        e.preventDefault(), $("body,html").animate({
            scrollTop: 0
        }, 700)
    });

    var n = tbtops.getTotalLength();
    tbtops.style.transition = tbtops.style.WebkitTransition = "none", tbtops.style.strokeDasharray = n + " " + n, tbtops.style.strokeDashoffset = n, tbtops.getBoundingClientRect(), tbtops.style.transition = tbtops.style.WebkitTransition = "stroke-dashoffset 200ms linear";
    var tbs = function() {
        var e = $(window).scrollTop(),
            t = $(document).height() - $(window).height(),
            o = Math.round(100 * e / t),
            i = n - e * n / t;
        tbtops.style.strokeDashoffset = i, $(".percent").text(o + "%")
    };

    tbs(), $(window).scroll(tbs);

}   


  if ($('.insta-item-wrap1').hasClass('masonon')) {
      var container = $('.masonon');
      container.imagesLoaded(function() {
          container.masonry({
              isAnimated: true
          });
      });

  }

    if ($('.masonwrp').hasClass('masonon')) {
        var container = $('.masonon');
        container.imagesLoaded(function() {
            container.masonry({
                isAnimated: true
            });
        });

    }
  
 if(jQuery().tilt) {

 }
 
})(jQuery);  