<?php

$icon = $settings['icon'] ? '<i class="tbicon '.esc_attr($settings['icon']).'"></i>' : '';
$icon_pos = $settings['icon'] ? 'elementor-align-icon-'.esc_attr($settings['icon_align']).'' : '';
?>    
<div class="ash-btn-wrap">
  <a href="http://google.com" class="ash-btn  elementor-button" target="_blank" rel="nofollow">
    <span>
      <span class="<?php echo $icon_pos;?> elementor-button-icon">
        <?php echo $icon;?>
      </span>
      <span class="elementor-button-text"><?php echo thepack_html($settings['text']);?></span>
    </span>
  </a>
</div>
     
<style type="text/css">

.ash-btn{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: black;
    color: #fff;
    padding: 10px 25px;
    max-width: 100%;
    position:relative;
}
.elementor-align-icon-right {
    position: absolute;
    right: 20px;
    top: 50%;
    opacity: 0;
    -moz-transform: translate3d(-5px, -50%, 0);
    -webkit-transform: translate3d(-5px, -50%, 0);
    transform: translate3d(-5px, -50%, 0);
}
.elementor-align-icon-left {
    position: absolute;
    leftt: 20px;
    top: 50%;
    opacity: 0;
    -moz-transform: translate3d(5px, -50%, 0);
    -webkit-transform: translate3d(5px, -50%, 0);
    transform: translate3d(5px, -50%, 0);
}
.ash-btn:hover .elementor-align-icon-right,.ash-btn:hover .elementor-align-icon-left{
    opacity: 1;
    -moz-transform: translate3d(0, -50%, 0);
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
}
.ash-btn:hover .elementor-align-icon-right+.elementor-button-text{
    -moz-transform: translate3d(-10px, 0, 0);
    -webkit-transform: translate3d(-10px, 0, 0);
    transform: translate3d(-10px, 0, 0);
}
.ash-btn:hover .elementor-align-icon-left+.elementor-button-text{
    -moz-transform: translate3d(10px, 0, 0);
    -webkit-transform: translate3d(10px, 0, 0);
    transform: translate3d(10px, 0, 0);
}

</style>     