<?php

    $id = substr( $this->get_id_int(), 0, 3 );
    $slider_options = [
        'id' => $id,
        'item' => $settings['item']['size'],
        'item_tab' => $settings['item_tab']['size'],
        'speed' => $settings['speed']['size'],
        'arrow' => ('yes' === $settings['arrow']),
        'auto' => ('yes' === $settings['auto']),
        'center' => ('yes' === $settings['center']),
        'vertical' => ('yes' === $settings['vertical']),
        'fade' => ('yes' === $settings['fade']),
        'picon' => $settings['picon'],
        'nicon' => $settings['nicon'],
    ]; 

    foreach ($settings['lists'] as $item){

        //$image_full = wp_get_attachment_image_src( $item['id'], 'full');
        $img = $item['bg'] ? 'style="background-image:url('.$item['bg']["url"].')"' : '';
        $thmbn = wp_get_attachment_image($item['bg']["id"], $settings['img_size']);

        $main .= '
            <div '.$img.' class="fsmain">
              <div class="click-capture"></div>
                '.$avatar.'
            </div>    
        '; 
        $thmb .= '
            <div class="thmbinr">
                '.$thmbn.'
            </div>    
        ';        
    }
?>    

      <!-- MAIN SLIDES -->
      <?php echo '<div class="slkfssync '.$settings['tmpl'].'" data-xld =\''.wp_json_encode($slider_options).'\'>';?>  
        <div style="display:none" class="slider-<?php echo $id;?>">
          <?php echo $main;?>
        </div>
        
        <!-- THUMBNAILS -->
        <div style="display:none" class="thmbwrpr slider-nav-thumbnails-<?php echo $id;?>">
          <?php echo $thmb;?>
        </div>
      </div>

     
<style type="text/css">
.slkfssync .fsmain{
  height:100vh;
  background-size: cover;
}
.slkfssync .thmbwrpr{
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
}
.slkfssync .thmbwrpr .slick-list {
    margin: 0px auto;
}

.slkfssync .thmbinr{
  position:relative;
     transition : all 1s;
   -webkit-transition:all 1s ;
   -moz-transition:all 1s ;
   -o-transition: all 1s;
       cursor: pointer;   
}
.slkfssync .slick-current .thmbinr:after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    border: 3px solid #ff0c0c;
}

  .thmbgalslik.two .thmbwrpr{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    overflow: hidden;   
  }
.slkfssync .thmbwrpr .slick-arrow{
    width: 40px;
    height: 40px;
    text-align: center;
    background: white;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    opacity:0;
    -webkit-transition: all .3s;
    transition: all .3s;    
}
.slkfssync .thmbwrpr .tbslick-prev{
    display: inline-block;
    left: 15px;
    z-index: 4;
}

.slkfssync .thmbwrpr .tbslick-next{
    display: inline-block;
    right: 15px;
    z-index: 4;
}

.slkfssync .thmbwrpr:hover .slick-arrow{
    opacity:1;
}

</style>     