<?php

$instagram_instance = new \null_instagram_widget();
$instagram_username = $settings['username'] ? $settings['username'] : '@bashpoka';
$feed = array_slice( $instagram_instance->scrape_instagram( $instagram_username ), 0, $settings['images']['size'], true );
$lightbox = thepack_tb_gallightboxattr();
$lightbox = $settings['link']=='url' ? '': thepack_tb_gallightboxattr();

foreach ( $feed as $item ) {

    $humancom = thepack_human_size_byte($item['comments'],1000);
    $humlik = thepack_human_size_byte($item['likes'],1000);
    $comm = $settings['icom']? '<i class="tbicon '.$settings['icom'].'"></i>'.$humancom.'': '';
    $like = $settings['ilik']? '<span></span><i class="tbicon '.$settings['ilik'].'"></i>'.$humlik.'': '';
    $picon = $settings['picon']? '<i class="tbicon '.$settings['picon'].'"></i>': '';

    if ($settings['overlytpl']=='clike'){
      $overlay = '<div class="insta-clike">'.$comm.$like.'</div>';
    } else {
      $overlay = '<div class="overlay"><div class="content-center text-center"><div class="wrap">'.$picon.'</div></div></div>';
    }

    if ($settings['mason']){
      $img = '<img src="'.$item[$settings['size']].'" alt="'.$item['description'].'">';
    } else {
      $img = '<img class="featured-img lazyload" src= "'.$placeholder.'"  data-src="'.$item[$settings['size']].'" alt="'.$alt.'"/>';
    }

    $link = $settings['link']=='image' ? 'href='.$item['original'].'': 'href='.$item['link'].' target="_blank"';
    $lbox = $settings['lbox']=='elelight' ? 'data-elementor-open-lightbox="yes"': 'data-elementor-open-lightbox="no"';
    $out .= '<div class="insta-item gallery-item"><a '.$lightbox.$link.' >'.$img.$overlay.'</a></div>';

}


if ($settings['disp']=='carousel'){

    $speed = $settings['speed']['size'];
    $item = $settings['item']['size'];
    $item_tab = $settings['item_tab']['size'];

    $slider_options = [
        'item' => $item,
        'item_tab' => $item_tab,
        'speed' => $speed,
        'mouse' => ('yes' === $settings['mouse']),
        'auto' => ('yes' === $settings['auto']),
        'dot' => ('yes' === $settings['dot']),
        'arrow' => ('yes' === $settings['nav']),
        'center' => ('yes' === $settings['cntr']),
    ]; 

    $arrow = $settings['nav'] ? '<ul class="slknav"><li class="prev"><i class="tbicon '.$settings['prv'].'"></i></li><li class="next"><i class="tbicon '.$settings['nxt'].'"></i></li></ul>' : '';

    echo '<div class="insta-item-wrap1 gallery tbinstacarousel" data-xld =\''.wp_json_encode($slider_options).'\'><div class="single-item">'.$out.'</div>'.$arrow.'</div>';


} else {

    echo '<div class="insta-item-wrap1 gallery mason-wrap '.$settings['mason'].'">'.$out.'</div>';

}

?>  


<style type="text/css">

.insta-item-wrap1 .insta-clike{
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);  
    z-index: 1;
    color: white;  
}

.insta-item-wrap1 .insta-item a::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.42);
}

.insta-item-wrap1 .insta-clike span{
    display: inline-block;
    width: 10px;
}
.insta-item-wrap1 .insta-clike .tbicon {
    padding-right: 5px;
}
.content-center .tbicon{
    z-index: 1;
    position: relative;  
}

.insta-item-wrap1 .slknav {
    margin: 0;
    padding: 0;
    list-style-type: none;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
    position:absolute; 
    left: 0;   
}
.insta-item-wrap1 .slknav li{
    position: absolute;
    background: black;
    width: 35px;
    height: 35px;
    color: white;
    text-align: center;
    line-height: 36px;
    cursor: pointer;    
}
.insta-item-wrap1 .slknav .prev{
  left: 0;
}
.insta-item-wrap1 .slknav .next{
    right: 0;
    left: auto;
}
.insta-item-wrap1{
    overflow: hidden;
}
.insta-item-wrap1 .gallery-item{
    margin-right: 0px;
    margin-bottom:0px; 
}
</style>  
 
