<?php 

  $slider_options = [
      'speed' => $settings['speed']['size'],
      'auto' => ('yes' === $settings['auto']),
  ];

    foreach ($settings['lists'] as $a){

    	$img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].')"' : '';
    	$title = $a['title'] ? '<h2 class="title">'.$a['title'].'</h2>' : '';
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : ''; 

    	$out .= '
    	    <div class="post-item">
    	        <div class="slider-bg" '.$img.'></div>
    	        <a '.$target.' href="'.$url.'">
    		        <div class="post-content">
    		            <div class="slider-container">
    		                <div class="content-entry">
    		                    '.$title.'
    		                </div>
    		            </div>
    		        </div>
    	        </a>
    	    </div>
    	';
    }
    echo '<div class="bari_assex_slider2" data-xld =\''.wp_json_encode($slider_options).'\'><div class="flex-equal assex-wrap">';
    echo $out;
    echo '</div></div>';
?>

<style type="text/css">

.bari_assex_slider2 .slider-bg::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.bari_assex_slider2 .assex-wrap {
    margin: 0px auto;
    width: 100%;
}

.bari_assex_slider2 .slider-container{
    top: 50%;
    transform: translateY(-50%);
    position: relative;
}

.bari_assex_slider2::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.bari_assex_slider2 {
    position: relative;
    position: relative;
    align-items: center;
    display: flex;
    justify-content: center;
    height: 100vh;    
}
.bari_assex_slider2 .assex-wrap {
    margin: 0px auto;  
}
.bari_assex_slider2 .slider-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    opacity: 0;
    background-attachment: fixed;
    transition: opacity 0.3s ease-in-out;
}
.bari_assex_slider2 .post-item {
    display: inline-block;
    float: left;
    clear: both;
}
.bari_assex_slider2 .post-content {
    position: relative;
    z-index: 1;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease; 
}
.bari_assex_slider2 .post-item:hover .slider-bg, .bari_assex_slider2 .post-item.active .slider-bg {
    opacity: 1;
}
.bari_assex_slider2 .entry-title {
    margin: 0px 0px 5px 0px;
}

@media all and (min-width:0px) and (max-width: 768px) {
    .bari_assex_slider2 {
        height:initial;
    }
}
</style>

