<?php

  $slider_options = [
      'speed' => $settings['speed']['size'],
      'transition' => $settings['trnsi'],
      'mouse' => ('yes' === $settings['mouse']),
      'auto' => ('yes' === $settings['auto']),
  ];
 
foreach ($settings['lists'] as $a){
 

  $title = $a['title'] ? '<h2 class="title">'.thepack_html($a['title']). '</h2>' : '';
  $subtitle = $a['cat'] ? '<span class="subtitle">'.thepack_html($a['cat']). '</span>' : '';
  $desc = $a['desc'] ? '<p class="desc">'.thepack_html($a['desc']). '</p>' : '';

  $url = $a['url']['url'] ? 'href='.esc_url($a['url']['url']). '' : '';
  $ext = $a['url']['is_external'] ? 'target= _blank' : '';
  $nofollow = $a['url']['nofollow'] ? 'rel=nofollow' : '';
  $link = $url.' '.$ext.' '.$nofollow;
  $btn = $a['btn'] ? '<a '.$link.' class="tour-btn">'.$a['btn'].'</a>' : '';

  $avatar = thepack_ft_images($a['bg']['id'],$settings['img_size']);
  $out .= '<div class="swiper-slide"><div class="tbiner">'.$avatar.'</div><div class="tbcontent">'.$title.$subtitle.$desc.$btn.'</div></div>';
  ($a['bg']['id']);
}

  $navi = $settings['nav'] ? '<div class="swiper-button-prev no-bg"><i class="tbicon '.$settings['picon'].'"></i></div><div class="swiper-button-next no-bg"><i class="tbicon '.$settings['nicon'].'"></i></div>' : '';
 
?>

<!-- slides-->
<?php echo '<div class="tb-shopslide" data-xld =\''.wp_json_encode($slider_options).'\'>';?>
  <div class="swiper-container main-slider">
    <div class="swiper-wrapper">
      <?php echo $out;?>
    </div>
    <?php echo $navi;?>
  </div>
  <!-- thumbnails-->   

</div>
<style type="text/css">
.tb-shopslide{
  overflow: hidden;
}
.tb-shopslide .no-bg{
  background-image: none;
  text-align: center;
}
.tb-shopslide .tbiner::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, .8);
}
.tb-shopslide .tbcontent{
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
    background: aquamarine;
    padding: 55px 80px;
    left: 0px;
    width: 350px;
    display:none;
}
.tb-shopslide .swiper-slide-active .tbcontent{
  display:block;
}
.tb-shopslide .tbiner {
    position: relative;
    display: inline-block;
}
.tb-shopslide .swiper-slide {
    text-align: right;
}
.tb-shopslide .tour-btn{
  display: inline-block;
}
</style>