<?php

  $slider_options = [
      'speed' => $settings['speed']['size'],
      'thmbitem' => $settings['thmbitem']['size'],
      'thmbspace' => $settings['thmbspace']['size'],
      'thumb' => ('yes' === $settings['thmb']),
      'thmbcenter' => ('yes' === $settings['thmbcenter']),
      'mouse' => ('yes' === $settings['mouse']),
      'auto' => ('yes' === $settings['auto']),
  ];

foreach ($settings['lists'] as $a){
  $bg = $a['bg'] ? '<figure class="slide-bgimg" style="background-image:url('.$a['bg']['url'].')"/></figure>' : '';
  $cat = $a['cat'] ? '<span class="cat">'.$a['cat']. '</span>' : '';
  $title = $a['title'] ? '<h3 class="heading">'.$a['title']. '</h3>' : '';
  $desc = $a['desc'] ? '<p class="desc">'.$a['desc']. '</p>' : '';
  $info = $a['info'] ? '<div class="info">'.$a['info']. '</div>' : '';

  $url = $a['url']['url'];
  $ext = $a['url']['is_external'];
  $nofollow = $a['url']['nofollow'];
  $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
  $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
  $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';
  $link = $url.' '.$ext.' '.$nofollow;
  $btn = $a['btn'] ? '<a '.$link.' class="tour-btn">'.$a['btn'].'</a>' : '';

  $finalout = $cat.$title.$desc.$info.$btn;           

  $avatar = wp_get_attachment_image($a['bg']['id'],'thumbnail');
  $out .= '<div class="swiper-slide">'.$bg.'<div class="content">'.$finalout.'</div></div>';
  $out1 .= '<div class="swiper-slide">'.$avatar.'</div>';
  ($a['bg']['id']);
}

  $navi = $settings['nav'] ? '<div class="swiper-button-prev no-bg"><i class="tbicon '.esc_attr($settings['picon']).'"></i></div><div class="swiper-button-next no-bg"><i class="tbicon '.esc_attr($settings['nicon']).'"></i></div>' : '';
 
?>

<!-- slides-->
<?php echo '<div class="thmbfulwrp" data-xld =\''.wp_json_encode($slider_options).'\'>';?>
  <div class="swiper-container main-slider">
    <div class="swiper-wrapper">
      <?php echo $out;?>
    </div>
    <?php echo $navi;?>
  </div>
  <!-- thumbnails-->
  <?php if ($settings['thmb']){
    echo '<div class="thmb-containerwrp"><div class="thmb-container nav-slider loading"><div class="swiper-wrapper">'.$out1.'</div></div></div>';
  }?>    

</div>
<style type="text/css">
.thmbfulwrp{
  overflow: hidden;
}
.thmbfulwrp .slide-bgimg::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.thmbfulwrp .no-bg{
  background-image: none;
  text-align: center;
}
.thmb-container .swiper-wrapper{
    max-width: 600px;
    margin: 0px auto;  
}
.thmbfulwrp .swiper-container {
  width: 100%;
  height: 100vh;
  float: left;
  transition: all 300ms ease;
}

.thmb-container.nav-slider {
    width: 600px;
    box-sizing: border-box;
    position: absolute;
    left: 50%;
    z-index: 2;
    overflow: hidden;
    bottom: 0;
    transform: translateX(-50%);
}

.thmb-container.nav-slider .swiper-slide {
  cursor: pointer;
  transition: all 300ms ease;
}
.thmb-container.nav-slider .swiper-slide.swiper-slide-active {
  opacity: 1;
}
.thmb-container.nav-slider .swiper-slide .content {
  width: 100%;
}
.thmbfulwrp .swiper-container:hover .swiper-button-prev,
.thmbfulwrp .swiper-container:hover .swiper-button-next {
  -webkit-transform: translateX(0);
          transform: translateX(0);
  opacity: 1;
  visibility: visible;
}
.thmbfulwrp .swiper-slide {
  overflow: hidden;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
.thmbfulwrp .swiper-slide .slide-bgimg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-position: center;
  background-size: cover;
}

.swiper-slide .content {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 3%;
  width: 100%;
  max-width:300px;
  padding: 40px;
  background: white;
}

.swiper-slide .content .caption {
  display: block;
  font-size: 1.1rem;
  line-height: 1.5;
  -webkit-transform: translateX(50px);
          transform: translateX(50px);
  opacity: 0;
  transition: all 300ms ease;
}
.swiper-slide .content .caption.show {
  -webkit-transform: translateX(0);
          transform: translateX(0);
  opacity: 1;
}
.swiper-button-prev {
  -webkit-transform: translateX(50px);
          transform: translateX(50px);
}
.swiper-button-next {
  -webkit-transform: translateX(-50px);
          transform: translateX(-50px);
}
.info ul{
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}
.info .desc{
    float: right;
}

</style>