<?php
    $speed = $settings['speed']['size'];
    $space = $settings['space']['size'];
    $item = $settings['item']['size'];
    $item_tab = $settings['item_tab']['size'];

    $slider_options = [
        'item' => $item,
        'item_tab' => $item_tab,
        'speed' => $speed,
        'space' => $space,
        'center' => ('yes' === $settings['center']),
    ];  

    $pagi = $settings['dot'] ? '<div class="swiper-pagination"></div>' : '';
?>

<div id="slider">
  <?php echo '<div class="swiper-slide2" data-xld =\''.wp_json_encode($slider_options).'\'>';?>  
    <div class="swiper-wrapper">
    <?php foreach ($settings['lists'] as $a) :
        $img = $a['bg'] ? 'style="background-image:url('.$a['bg']['url'].')"' : '';
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

        $btn = $a['btn'] ? '<div class="btns"><a '.$target.' href="'.$url.'" class="tb-btn tb-underline">'.$a['btn'].'</a></div>' : '';
        $title = $a['title'] ? '<h2 class="title">'.thepack_html($a['title']).'</h2>' : '';
        $desc = $a['desc'] ? '<p class="desc">'.thepack_html($a['desc']).'</p>' : '';
        $cat = $a['cat'] ? '<span class="cat">'.thepack_html($a['cat']).'</span>' : '';    
        ?>

      <div class="swiper-slide">
        <div class="slide-inner" <?php echo $img;?>>
            <div class="inner-wrap">
                <?php echo $cat.$title.$desc.$btn; ?>
            </div>
        </div>
      </div>


    <?php endforeach;?>

    </div>  
    <?php echo $pagi;?>
<!--     <div class="swiper-button-prev swiper-button-white"></div>
    <div class="swiper-button-next swiper-button-white"></div>  -->    
</div>
</div>

<style type="text/css">

.swiper-slide2,.slide-inner{
  height:100%;
}
.swiper-slide2 .inner-wrap {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}
.swiper-slide2 .swiper-pagination {
    left: 0px;
    bottom: 0px;
}
.swiper-slide2 .swiper-pagination .swiper-pagination-bullet {
  color: #fff;
  width: 20px;
  height: 30px;
  border-bottom: 2px solid transparent;
  border-radius: 0;
  background: transparent;
  opacity: 1;
  line-height: 28px;
  text-align: center;
  margin: 0 5px;
  font-family: Arial;
  font-size: 14px;
  transition: all 0.5s cubic-bezier(0.4, 0, 1, 1);
  position: relative;
}
.swiper-slide2 .swiper-pagination .swiper-pagination-bullet::after {
  content: "";
  width: 0;
  height: 2px;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0 auto;
  background: #f00;
  transition: all 0.3s linear;
}

.slide-inner::before {
    content:"";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.swiper-slide2 .swiper-pagination .swiper-pagination-bullet::after {
  content: "";
  width: 0;
  height: 2px;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0 auto;
  background: #f00;
  transition: all 0.3s linear;
}
.swiper-slide2 .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active::after {
  width: 100%;
}

</style>