<?php

    foreach ($settings['lists'] as $a){

        $url = $a['link']['url'];
        $ext = $a['link']['is_external'];
        $nofollow = $a['link']['nofollow'];

        $url = ( isset($url) && $url ) ? 'href='.esc_url($url). '' : '';
        $ext = ( isset($ext) && $ext ) ? 'target= _blank' : '';
        $nofollow = ( isset($url) && $url ) ? 'rel=nofollow' : '';
        $link = $url.' '.$ext.' '.$nofollow;

        $btn = $a['title'] ? '<a '.$link.' class="linkbtn">'.thepack_html($a['title']).'</a>' : '';

        $html .= '<li>'.$btn.'</li>';        
    }

    $out = $settings['lists'] ? '<ul>'.$html.'</ul>' : '';

?>  
  
 <div class="social2wrap">
    <div class="social2inner">

        <div class="col-md-6 col-sm-6 col-xs-12 linkcontainer">
            <?php  echo $this->content($settings['items']);?> 
        </div> 	  

        <div class="col-md-6 col-sm-6 col-xs-12">
            <ul class="smnu"><?php echo $html;?></ul>
        </div>

    </div>
 </div>

 <style type="text/css">

.social2wrap {
     overflow: hidden;
     border-bottom: 1px solid rgba(0,0,0,0.08);
     border-top: 1px solid rgba(0,0,0,0.08);
}

.social2inner{
    margin: 0px auto;
    overflow: hidden;
}
.social2wrap .linksocial {
    display: inline-block;
    width: 70px;
    height: 60px;
    border-left: 1px solid rgba(0,0,0,0.08);
    text-align: center;
    line-height: 58px;
    color: black;
    font-size: 13px;
    float: left;
}
.social2wrap .linksocial:hover {
  background:rgba(0,0,0,0.08);
}
.social2wrap .linksocial:last-child {
    border-right: 1px solid rgba(0,0,0,0.08);
}
.social2wrap .smnu li{
    border-left: 1px solid rgba(253, 11, 11, 0.39);
}

@media all and (min-width:0px) and (max-width: 960px) {
    .social2inner .linkcontainer{
        border-bottom: 1px solid rgba(0,0,0,0.08);
    }
}

.social2wrap ul{
  margin:0;
  padding:0;
  list-style-type:none;
}
.social2wrap li{
  display:inline-block;
}

 </style>
