<?php

 $id = substr( $this->get_id_int(), 0, 3 );
 $nicon = $settings['nicon'] ? '<span class="gstate '.esc_attr($settings['nicon']).'"></span>' : '';
 $aicon = $settings['aicon'] ? '<span class="astate '.esc_attr($settings['aicon']).'"></span>' : '';

switch ($settings['tmpl']) {
    case "one":
        $cls = 'xld-tab1';
        break;

    case "two":
        $cls = 'xld-tab2';
        break; 
        
    case "three":
        $cls = 'xld-tab3';
        break;

    default:
}

 $first=0;foreach ($settings['tabs'] as $a){ $first++;

    if($first==1){
        $class="collapse in";
        $collapse="";
    } else {
        $class= "collapse";
        $collapse="class='collapsed'"; 
    }

    if ($settings['tmpl']=='three'){
        $label = '<div class="panel-heading"><a '.$collapse.' data-toggle="collapse" data-parent="#'.$id.'" href="#'.$id.$first.'"><span class="tab-icon">'.$nicon.$aicon.'</span>'.$a['title'].'</a></div>';
    } else {
        $label = '<div class="panel-heading"><a '.$collapse.' data-toggle="collapse" data-parent="#'.$id.'" href="#'.$id.$first.'">'.$a['title'].'<span class="tab-icon">'.$nicon.$aicon.'</span></a></div>';
    }

    $content = '<div id="'.$id.$first.'" class="panel-collapse '.$class.'"><div class="panel-body">'.$this->icon_image($a).'</div></div>';
    $html .='<div class="panel panel-default '.$settings['animation'].'">'.$label.$content.'</div>';

} ?>

<div class="xld-tab <?php echo esc_attr($cls);?>" id="<?php echo esc_attr($id);?>">
    <?php echo $html;?>
</div> 

<style type="text/css">    

.xld-tab .panel-default{
    border-width: 0px;
    border-radius: 0px;
    -webkit-box-shadow:none;
    box-shadow:none;
}

.collapsed .gstate,.astate  {
  display:none;
}
.collapsed .astate  {
  display:inline;
}
.xld-tab .panel-heading>a{
    background-color: #09a223;
    color: #fff;
    display: block;
    padding: 12px 25px;
    position: relative;  
}
.xld-tab .panel-default>.panel-heading {
    padding:0;
    border:0;
}

.xld-tab .panel-heading {
    background-color: transparent;
    padding: 0;
    border-radius: 0;
}
.xld-tab .panel-body {
    background: rgba(255, 255, 255, 0.9);
    border: 0;
    padding: 24px 33px 12px;
}
.xld-tab1 .tab-icon,.xld-tab2 .tab-icon{
  float:right;
}
.xld-tab3 .tab-icon {
    display: inline-block;
    margin-right: 8px;
    border: 1px solid #616060;
    width: 22px;
    height: 22px;
    font-size: 10px;
    text-align: center;
    line-height: 24px;
}
</style>