<?php

    $speed = $settings['speed']['size'];
    $space = $settings['space']['size'];
    $item = $settings['item']['size'];
    $item_tab = $settings['item_tab']['size'];

    $slider_options = [
        'item' => $item,
        'item_tab' => $item_tab,
        'speed' => $speed,
        'space' => $space,
        'mouse' => ('yes' === $settings['mouse']),
    ]; 

    $pagi = $settings['dot'] ? '<div class="swiper-pagination"></div>' : '';
    $navi = $settings['arrow'] ? '<div class="swiper-button-prev no-bg"><i class="tbicon '.esc_attr($settings['picon']).'"></i></div><div class="swiper-button-next no-bg"><i class="tbicon '.esc_attr($settings['nicon']).'"></i></div>' : '';


    if ($settings['disp'] == 'slider') {
        echo '<div class="team1carou" data-xld =\''.wp_json_encode($slider_options).'\'>
                <div class="swiper-wrapper">
                    '.$this->content($settings['items'],$settings['animation'],$settings['disp']).'
                </div>
                '.$pagi.$navi.'
        ';
    } else {
        echo '<div class="tbteam1">'.$this->content($settings['items'],$settings['animation'],$settings['disp']).'</div>';
    }
?>  
 
<style type="text/css">
.team1{
    float: left;
}
.team1:hover .team-container {
    box-shadow: 0 10px 10px rgba(31,161,252,0.31);
}
.team-container,.team-link{
  position:relative;
}
.team1 .team-content {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
    padding: 20px;
    will-change: opacity;
    background: rgba(32,160,252,0.8); 
}
.team1:hover .team-content {
    opacity: 1;
}
.team1 img {
    width: 100%;
    display: block;
}   
.team1carou{
    overflow: hidden;
}

.team1carou .no-bg{
    background-image: none;
    text-align: center;
}
.team1carou .swiper-pagination-bullet{
    opacity: 1;
}

</style>