<?php

    $speed = $settings['speed']['size'];
    $dot_item = $settings['dot_item']['size'];
    $id = substr( $this->get_id_int(), 0, 3 );

    $slider_options = [
        'auto' => ('yes' === $settings['auto']),
        'speed' => $speed,
        'id' => $id,
        'items' => $dot_item,
    ];
 
    ?>
<div class="testi_4" data-xld ='<?php echo wp_json_encode($slider_options); ?>'>     
       <div class="slider-single slider-single-<?php echo esc_attr($id);?>" style="display:none">
           <?php foreach ($settings['quotes'] as $item):
            $quote = $item['desc'] ? '<div class="quote">'.thepack_html($item['desc']). '</div>' : '';                  
           ?>
            <div class="quote-simple">
                <div class="quote-content">
                    <?php echo $quote;?>
                </div>
            </div>

        <?php endforeach;?>
        </div>

       <div class="slider-nav slider-nav-<?php echo esc_attr($id);?>" style="display:none">
           <?php foreach ($settings['quotes'] as $item):
            $id = $item['avatar']['id'];
            $avatar = $id ? '<div class="avatar-img">'.wp_get_attachment_image($id, 'full').'</div>' : '';
            $name = $item['name'] ? '<span class="name">'.thepack_html($item['name']). '</span>' : '';
            $position = $item['pos'] ? '<span class="position">'.thepack_html($item['pos']). '</span>' : '';                    
           ?>
            <div class="quote-simple">
                <?php echo $avatar;?>
                <div class="quote-meta"><?php echo $name.$position;?></div>
            </div>

        <?php endforeach;?>
        </div>
   
</div>
<style type="text/css"> 

.testi_4 .slider-nav .is-active .avatar-img img {
opacity: 1;
}
.testi_4 .slider-nav .avatar-img img {
    -webkit-transform: scale3d(0.8,0.8,1);
    -ms-transform: scale3d(0.8,0.8,1);
    transform: scale3d(0.8,0.8,1);
    -webkit-transition: -webkit-transform 0.34s;
    -ms-transition: -webkit-transform 0.34s;
    transition: transform 0.34s;
    display: inline-block;
    cursor: pointer;
}
.testi_4 .slider-single .slick-list {
    width: 100%;
}
.testi_4 .quote-meta{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;  
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    -webkit-transform: translateY(15px);
    transform: translateY(15px);
    transition: all 0.38s;  
}
.testi_4 .slider-nav .slick-current .quote-meta{
     opacity: 1;
    visibility: visible;
    -webkit-transform: translateX(0);
    transform: translateX(0);
}
.testi_4 .slick-controls .tbicon{
  cursor:pointer;
  display:inline-block;
} 
.testi_4 .slick-controls{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
}
.testi_4 .slick-controls .next{
    right: 0px;
    position: absolute;
}
.testi_4 .slick-list.draggable{
    padding:0px !important;
}
</style>