<?php 

    $id = $settings['img']['id'];
    $img = $id ? '<div class="author-pic">'.thepack_ft_images($id, 'full'). '</div>' : '';

    $name = $settings['pre'] ? '<h5 class="prename">'.$settings['pre']. '</h5>' : '';
    $pre = $settings['name'] ? '<span class="author-job">'.$settings['name']. '</span>' : '';
    $desc = $settings['desc'] ? '<p class="desc">'.$settings['desc']. '</p>' : '';

    $aulabel = $settings['aulabel'] ? '<h4 class="aulabel">'.$settings['aulabel']. '</h4>' : '';


    foreach ($settings['lists'] as $a){
        $icon = esc_attr($a['icon']);
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   
        $social .= '<li><a '.$target.' href="'.$url.'"><i class="<?php '.$icon.'" aria-hidden="true"></i></a></li>';   
    } 

    ?>
   
<div class="tb-post-author <?php echo esc_attr($settings['tmpl']);?>">
    <?php echo $aulabel;?>
    <div class="inner">
        <?php echo $img;?>
        <div class="author-details">
            <?php echo $name.$pre.$desc;?>
            <ul class="social">
                <?php echo $social;?>
            </ul>
        </div>
    </div>
</div>

<style type="text/css">

.tb-post-author .author-details ul {
    display: inline-block;
    padding: 0;
    margin: 0;
}
.tb-post-author .author-details li {
    display: inline-block;
    margin: 0px 5px;
}

.tb-post-author.style_two .inner{
    display: table;
    width: 100%;
}
.tb-post-author.style_two .author-pic,.style_two .author-details {
    display: table-cell;
    vertical-align: middle;
}

.tb-post-author.style_two .author-details{
    width: 80%;
}

@media only screen and (max-width: 767px) {
    .tb-post-author.style_two .author-pic, .style_two .author-details {
        display: block;
    }
} 


</style>