<?php
use Elementor\Plugin;

$excerpt= $settings['excerpt']['size'];
$per_page = $settings['per_page']['size'];
$show_img = $settings['show_img'];
$img_size = $settings['img_size'];
$animation = $settings['animation'];
$cls = $settings['shdw'];

$meta = thepack_buildermeta_to_string($settings['metas']);

$cat = $settings['cat_query'];
$id = $settings['id_query'];

if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
}
else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if($settings['query_type'] == 'category'){
    $query_args = array(
        'post_type'             => 'post',
        'posts_per_page'        => $per_page,
        'paged'                 => $paged,
        'post_status'           => 'publish',
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $cat,
            ),
        ),         
    );
}

if($settings['query_type'] == 'individual'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'post__in' =>$id,
        'orderby' => 'post__in'
    );
} 

if ($settings['slideshw']){

    $cls = $cls.' '.'bg_carousel';
    $cstyle = 'style="display:none;"';
    $slider_options = [

        'item' => $settings['item']['size'],
        'speed' => $settings['speed']['size'],
        'auto' => ('yes' === $settings['auto']),
        'dot' => ('yes' === $settings['dot']),
        'arrow' => ('yes' === $settings['arrow']),
        'item_tab' => $settings['item_tab']['size'],
        'picon' => $settings['picon'],
        'nicon' => $settings['nicon'],

    ];

} 

$loop = new WP_Query($query_args);

echo '<div class="ae_blog_lyst '.$cls.'" data-xld =\''.wp_json_encode($slider_options).'\'>';
if (Plugin::instance()->editor->is_edit_mode()){
    require dirname(__FILE__) .'/page-mode.php';
} else {
    if ($settings['arc_query']){
        require dirname(__FILE__) .'/archive-mode.php';
    } else {
        require dirname(__FILE__) .'/page-mode.php';
    }

}

echo '</div>';
thepack_builder_post_pagination($settings['arc_query'],$loop,$settings['show_pagi']);
?>

<style type="text/css">

.ae_blog_lyst .lyst-item{
    float: left;
}
.ae_blog_lyst .lyst-item article{
    position: relative;
    overflow: hidden;
    background: aquamarine;
}
.ae_blog_lyst .tbimgwrap {
    height: 300px;
    width: 200px;
    background-size: cover;
}
.ae_blog_lyst .grid-content{
  overflow:hidden;
}
.ae_blog_lyst .meta-wrap  {
    position: relative;
}
.ae_blog_lyst.shadowon .lyst-item article{
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.05);
}
.ae_blog_lyst .btn-more{
    display: inline-block;
}
.pagination-theme {
    clear: both;
    overflow: hidden;
    visibility: visible;
}
.pagination-theme ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.pagination-theme li {
    display: inline-block;
    margin-right: 15px;
}
@media (max-width: 768px) and (min-width: 0px){

    .ae_blog_lyst .grid-content {
        width: 100%;
    }

}

</style>