<?php
    $slider_options = [
        'wrapwidth' => $settings['wrpwidth']['size'],
        'mbarwidth' => $settings['mbrwidth']['size'],
        'picon' => $settings['picon'],
    ];
?>
  <?php echo '<header id="header-2" data-xld =\''.wp_json_encode($slider_options).'\'>';?>  
          <div class="navbar-header">
            <a class="nav-main-trigger" href="javascript:;"><span class="nav-menu-icon"></span></a>
            </div>
            <?php echo thepack_get_builder_image($settings['logo_light']['url'],'dsktoponly');?>
            <?php echo thepack_get_builder_image($settings['logo_light']['url'],'mbileonly');?>            
          <div class ="offmenuwraps">
            <div class="scrollbar-macosx">  
                <?php
                    if($settings['menu_main']){
                        wp_nav_menu( array(
                            'menu' => $settings['menu_main'],
                            'container' => false,
                            'menu_class'=> 'mainmenu pull-left',
                            'items_wrap' => '<ul class="menu-list">%3$s</ul>',
                        )); 
                    }       
                ?>
            </div>
          </div>
          <div class="menu-footer">
            <div class="offsocial-list">
                <ul>
                  <?php/* echo builder_header_socials($offlists)*/;?>
                </ul>
            </div>
            <?php/*echo $copy*/;?>
          </div>
  </header>

<style type="text/css">

#header-2 {
    width: 260px;
    position: fixed;
    top: 0px;
    left: 0px;
    height: 100%;
    overflow: hidden;
    border: none;
    border-radius: 0;
    background-color: #f7f7f7;
    z-index: 1;
}
#header-2 .nav-main-trigger {
    display: none;
}

@media only screen and (max-width: 1025px){

#header-2.opened {
    left: 0px !important;
}

#header-2 .nav-main-trigger {
    position: relative;
    display: inline-block;
    margin-top: 24px;
    margin-bottom: -10px;
    background-color: rgba(0, 0, 0, 0);
    bottom: auto;
    color: #272a2c;
    cursor: auto;
    height: 30px;
    width: 40px;
    line-height: 30px;
    margin: 0px;
    padding: 0px;
    text-decoration: none;
    -webkit-font-smoothing: antialiased;
    -webkit-transform: matrix(1, 0, 0, 1, 0, -15);
    transform: matrix(1, 0, 0, 1, 0, -15);
    -webkit-transition-delay: 0s;
    transition-delay: 0s;
    -webkit-transition-duration: 0.2s;
    transition-duration: 0.2s;
    -webkit-transition-property: all;
    transition-property: all;
    -webkit-transition-timing-function: ease;
    transition-timing-function: ease; 
}

 .wrapper {
    margin-left: 50px !important;
}

#header-2 {
    left: -210px;
    border-right: 1px solid #eee;
    -webkit-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
}
#header-2 .navbar-header {
    position: fixed;
    left: 0px;
    top: 0px;
    padding: 0px;
    margin: 0px;
    width: 50px;
    text-align: center;
    border-bottom: 1px solid #eee;
    border-left: 1px solid #eee;
}
#header-2 .nav-main-trigger {
    position: relative;
    display: inline-block;
    margin-top: 24px;
}

}

</style>