<?php
    $slider_options = [
        'picon' => $settings['picon'],
        'mxscrollh' => $settings['mxscrollh']['size'],
    ];

    $tap = $settings['tapicon'] ? '<div class="xldtap"><i class="tapicon '.$settings['tapicon'].'"></i></div>' : ''; 
    $close = $settings['klicon'] ? '<span class="close-menu"><i class="'.$settings['klicon'].'"></i></span>' : '';  
    $copy = $settings['copy'] ? '<p class="copy">'.$settings['copy'].'</p>' : ''; 
?>
  <?php echo '<header id="header-4" data-xld =\''.wp_json_encode($slider_options).'\'>';?> 

    <?php echo $tap; echo thepack_get_builder_image($settings['logo_light']['url'],'');?>

    <div class="offsidebar left"> 
        <?php echo $close;?>
        <div class="scrollbar-macosxwrp">
            <div class="scrollbar-macosx">  
                <?php 
                    if($settings['menu_main']){
                        wp_nav_menu( array(
                            'menu' => $settings['menu_main'],
                            'container' => false,
                            'menu_class'=> 'mainmenu pull-left',
                            'items_wrap' => '<ul class="menu-list">%3$s</ul>',
                        )); 
                    }       
                ?>
            </div>
        </div>
        
      <div class="menu-footer right-boxed">
        <?php  echo $this->content($settings['items']);?>
        <?php echo $copy;?>
      </div>
    </div>

  </header>
<div class="click-capture"></div>
<style type="text/css">
#header-4{
    position: absolute;
    z-index: 4;
}
#header-4 .xldtap{
    display: inline-block;
    cursor: pointer;
}
#header-4 .tapicon{
    position: relative;
    top: 3px;
    padding-right: 13px;
}
#header-4 .logo-image {
    width: 102px;
}
.offsidebar{
    width:25%;
}
.click-capture {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    visibility: hidden;
    z-index:2;
-webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    transition: all 0.6s ease;    
        background: rgba(193,193,193,0.84)
}
.menu-is-opened .click-capture,.search-is-opened .click-capture {
    visibility: visible;
transform: translateX(0);    
}
.menu-is-opened .offsidebar.left,.menu-is-opened .offsidebar.right,.search-is-opened .offsearch.right {
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
    box-shadow: 0 0 65px rgba(0,0,0,0.07);
}
.offsidebar,.offsearch {
    position: fixed;
    top: 0;
    bottom: 0;
    z-index: 100;
    background-color: #fff;
    -webkit-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    transition: all 0.6s ease;
}
.offsidebar.right,.offsearch.right{
    right: 0;
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);    
}

.offsidebar.left{
    left: 0;
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);   
}

.offsidebar.left .close-menu {
    float: right;
    cursor: pointer;
}
.scrollbar-macosx{
    clear: both;
}
.socialitm {
    list-style: none;
    margin: 0;
    padding: 0;
}
.socialitm li {
    display: inline-block;
}
.menu-footer{
    overflow: hidden; 
}
</style>