<?php 

if( has_post_thumbnail() ){
    $share_image = wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
    $share_image= $share_image[0];
    $share_image_portrait= wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
    $share_image_portrait= $share_image_portrait[0];
}else{
    $share_image= '';
    $share_image_portrait= '';
}
$share_excerpt = strip_tags( get_the_excerpt(), '<b><i><strong><a>' );

?>

<div class="xld_share_post <?php echo esc_attr($settings['flthm']); ?>">
    <div class="xld_postshare">
        <a href="http://www.facebook.com/sharer.php?u=<?php echo( rawurlencode( get_the_permalink() ) ); ?>" class="xld_btn-facebook expanded"><i class="fa fa-facebook"></i><span><?php echo esc_attr($settings['fbt']); ?></span></a>
        <a href="http://twitter.com/intent/tweet?text=<?php echo( rawurlencode( get_the_title() ) ); ?>&amp;url=<?php echo( rawurlencode( get_the_permalink() ) ); ?>" class="xld_btn-twitter expanded"><i class="fa fa-twitter"></i><span><?php echo esc_attr($settings['twt']); ?></span></a>
        <a href="https://plus.google.com/share?url=<?php echo( rawurlencode( get_the_permalink() ) ); ?>" class="xld_btn-google-plus"><i class="fa fa-google-plus"></i></a>
        <div class="share-secondary">
            <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo( rawurlencode( get_the_permalink() ) ); ?>&amp;title=<?php echo( rawurlencode( get_the_title() ) ); ?>&amp;summary=<?php echo ( rawurlencode ( $share_excerpt ) );?>&amp;source=<?php echo ( rawurlencode( get_bloginfo('name') ) );?>" class="xld_btn-linkedin"><i class="fa fa-linkedin"></i></a>
            <a href="http://pinterest.com/pin/create/button/?url=<?php echo( rawurlencode( get_the_permalink() ) ); ?>&amp;media=<?php echo ( rawurlencode( $share_image_portrait ) ); ?>&amp;description=<?php echo( rawurlencode( get_the_title() ) ); ?>" class="xld_btn-pinterest "><i class="fa fa-pinterest-p"></i></a>
        </div> <a href="#" class="xld_btn-toggle"><i class="fa fa-share"></i></a> </div>
</div>

<style type="text/css">

    .xld_postshare {
        float: none;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -ms-flex-align: start;
        align-items: flex-start;
            margin: 15px 0px;
    }
    .xld_share_post a {
        float: left;
        width: 44px;
        max-width: 44px;
        height: 38px;
        line-height: 38px;
        white-space: nowrap;
        padding: 0 10px;
        margin: 0 5px 5px 0;
        text-align: center;
        display: -ms-flexbox;
        display: flex;
        -ms-flex: 1;
        flex: 1;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        transition: .2s;
    }
    .xld_share_post a.expanded {
        width: auto;
        max-width: none;
        padding: 0 12px;
    }
    .share-secondary {
        display: none;
    }
    .xld_share_post .xld_btn-toggle {
        background: #bdbdbd;
    }
    .xld_share_post a:last-child {
        margin-right: 0;
    }
    .xld_share_post a:hover {
        opacity: .75;
    }
    .xld_share_post.show-secondary .xld_btn-toggle {
        max-width: auto;
    }
    .xld_share_post i {
        font-size: 14px;
        line-height: inherit;
    }
    .show-secondary .share-secondary {
        display: block;
        margin-right: 5px;
    }
    .show-secondary .xld_btn-toggle .fa {
        -webkit-transform: rotate(180deg);
        transform: rotate(180deg);
    }
    .xld_share_post span{
        font-size: 14px;
        padding-left: 8px;
    }
    .xld_btn-toggle .fa {
        transition: transform .2s ease;
    }
    .flathym .xld_btn-facebook {
        background: #3b5998;
    }
    .flathym .xld_btn-twitter{
        background: #00aced;
    }
    .flathym .xld_btn-google-plus{
        background: #DB4437;
    }
    .flathym .xld_btn-linkedin{
        background: #007bb6;
    }
    .flathym .xld_btn-pinterest{
        background: #BD081C;
    }

    @media only screen and (max-width: 767px) {
        .xld_share_post span {
            display: none;
        }
    } 

</style>