<?php 
        global $post;
        $pid = $post->ID;
        $postcat = wp_get_post_categories( $pid );
        $all_cat = implode(',' , $postcat);

        $meta = thepack_buildermeta_to_string($settings['metas']);
        $per_page = $settings['post_perpage']['size'];
        $excerpt = $settings['excerpt_l']['size'];
        $img_size = $settings['img_size'];

        $label = $settings['label'] ? '<h4>'.$settings['label']. '</h4>' : '';

        $args = array( 
            'posts_per_page' => $per_page, // Number of related posts to display
            'post__not_in' => array($pid), // Ensure that the current post is not displayed
        ); 
        $args['cat'] = $all_cat;
       
        $wp_query = new WP_Query($args); 
        if ( $wp_query->have_posts() ) {
            echo '<div class="blog-single-section">';
            echo '<div class="related-posts">';
            echo $label; 
            echo '<div class="blog-grids related-carousel">';
            while ($wp_query->have_posts()) : $wp_query->the_post();?>

                    <div class="grid">

                        <?php if ( has_post_thumbnail()) : ?>
                            <div class="entry-media">
                              <?php the_post_thumbnail($img_size); ?>                                                 
                            </div>
                        <?php endif; ?> 

                        <div class="entry-body">
                            <?php thepack_build_postmeta($meta,$excerpt);?>
                        </div>
                    </div>
            
            <?php endwhile; wp_reset_postdata(); 
            echo '</div>';  
            echo '</div>'; 
            echo '</div>'; 

        }             
        ?> 
