<?php
namespace thepack_themebuilderr;

class thepack_my_Theme extends thepack_themebase{

    function thepack_manage_actions(){
        parent::thepack_manage_actions();
        return true;
    }

}

abstract class thepack_themebase{

    protected function thepack_manage_actions(){
        add_filter('single_template', [$this, 'thepack_load_single_template']);
        add_filter('template_include', [$this, 'thepack_load_archive_template']);
    }

    public function thepack_load_single_template($single_template){
       return THEPACK_TH_PATH.'includes/themes/single.php';
    }

    public function thepack_load_archive_template($template){
        $helper = new thepack_helper_theme();
        $is_blog = $helper->is_blog();

        // Search Template
        if(is_search()){
            return THEPACK_TH_PATH.'includes/themes/search.php';
        }

        if(is_404()){
           return THEPACK_TH_PATH.'includes/themes/404.php';
        }

        if(is_author()){
           return THEPACK_TH_PATH.'includes/themes/author.php';
        }

        // taxonomy, post type and blog archive
        if(is_archive() || $is_blog){
            return THEPACK_TH_PATH.'includes/themes/archive.php';
        }

        return $template;
    }

}